<?php 
include($cms_root."/config/config.inc.php");
class DB_Line
{
	public $data; // Assoc. Array of columns and its values
	
	public function __get($parameter)
	{
		return $this->data[$parameter];
	}
	
	public function __set($parameter, $value)
	{
		$this->data[$parameter] = $value;
	}		
	
	public function __construct($line_array = '')
	{
		if (is_array($line_array)) $this->data = $line_array;
	}
	
	public function ZZprint_tbl()
	{
		print_element($this->data,"entry_print","","","");
	}
	
	public function delete($table, $key_name, $key_value)
	{
	if( !(($table) && ($key_name) && ($key_value)) )
	{
		return FALSE;
		new Message(1,"Not enough parameters given","./index.php","DB_Line->delete()");
	}
	include("./config/config.inc.php");

	if (is_array($key_name))
		foreach ($key_name as $tmpkey) $condition .= "`$tmpkey` = '".$key_value[0+$i++]."' AND "; // We have multiple keys and values
	else
		$condition = "`".$key_name."` = '".$key_value."' AND ";
	
	$sql = "DELETE FROM $table WHERE (".$condition."1) LIMIT 1;";
	$dbh->execute($sql);		
}
	
	
	public function save($table, $key_name, $key_value, $debug = 0)
	{
		if( !(($table) && ($key_name)) )
		{
			return FALSE;
			new Message(1,"Not enough parameters given","./index.php","DB_Line->save()");
		}
		include("./config/config.inc.php");
		
		// Gets table structure from database 
		$sql = "desc $table";
		$dbresult = new DB_Result($dbh->execute($sql));

		foreach($dbresult->fetch_array as $field)
		{
			// Gets certain fields
			$db_fields[] = $field["Field"];
		}
		
		// Tries to find existing row in table
		if (is_array($key_name))
			foreach ($key_name as $tmpkey) $condition .= "`$tmpkey` = '".$key_value[0+$i++]."' AND "; // We have multiple keys and values
		else
			$condition = "`".$key_name."` = '".$key_value."' AND ";
			
		$sql = "select * from ".$table." WHERE (".$condition."1)";

		$dbresult = new DB_Result($dbh->execute($sql));

		if(($dbresult->count == 1) && ($key_value != "")) // If element found and key_value given
		{
			// Row found => Updating row 
			$sql2 = "UPDATE `$table` SET ";
			foreach ($this->data as $index => $value) 
			{
				//  For each element in data array testis whether column exists in table structure
				if(in_array($index, $db_fields)) $sql2.= "`$index` = '$value', ";
			}
			$sql2 = substr($sql2, 0, -2); //trims last ,
			$sql2 .= " WHERE (".$condition."1)";		
		}
		else
		{
			//Row not found => Creating new row 
			$sql2 = "INSERT INTO `$table` SET ";
			foreach ($this->data as $index => $value) 
			{
				//  For each element in data array testis whether column exists in table structure
				if(in_array($index, $db_fields))	$sql2.= "`$index` = '$value', ";
				//echo $index."<br>";
			}
			$sql2 = substr($sql2, 0, -2); //trims last comma beside last value 
		}

		if ($debug) echo $sql2; else $dbresult = new DB_Result($dbh->execute($sql2));
	}
}
