<?php
Class Message
{
	public $err;
	public $errstr;
	public $errlnk;
	
	
	public function __construct($err, $errstr, $errlnk, $caller)
	{
	if ($err < 0)
	{
		?>
		<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 3.2//EN">
		<html>
		<head>
		<meta name="generator" content="HTML Tidy, see www.w3.org">
		<link rel="stylesheet" href="style.css" type="text/css">
		<title>OC</title>
		</head>
		<body>
		<?php
	}
	

	switch (abs(round($err/2))) {
	case 0:
	echo "<div id=\"center_small\"><center>";
	echo "<h2>Error</h2>\n";
	echo "<p>".$caller.": ".$errstr."</p>\n";
	echo "<p><a href=\"$errlnk\">Continue</a>\n</p></center></div>";

	break;
	case 1:
	echo "<div id=\"center_small\"><center>";	
	echo "<h2>Message</h2>\n";
	echo "<p>".$caller.": ".$errstr."</p>\n";
	echo "<p><a href=\"$errlnk\">Continue</a>\n</p></center></div>";

	break;
	
	case 2:
	echo "<div id=\"center_small\"><center>";	
	echo "<h2>Warning</h2>\n";
	echo "<p>".$caller.": ".$errstr."</p>\n";
	echo "<p><a href=\"$errlnk\">Continue</a>\n</p></center></div>";

    break;
	
	case 3:
	echo "<div id=\"center_small\"><center>";	
	echo "<h2>Question</h2>\n";
	echo "<p>".$errstr."</p>\n";
	echo "<p><a href=\"$errlnk\">Continue</a> | <a href=\"javascript:history.go(-1)\">Cancel</a>\n</p></center></div>";
	break;
	
	default:
	}
	

	if(($err % 2) == 0)
	{
		echo "</body>\n";
		exit();
	}
	
}

}
	
	
?>