<?php
class Module
{
	private $module_code;
	public 	$module_name;
	private $module_access; // nejspis smazat
	private $module_views; // ---II---
	private $module_forms; // ---II---
	public $dbh;
      // Default Access????

	
	
	public function __construct($mod_name)
	{
		$this->dbh = $_SESSION['dbh']; // Gets db handle from session
		$sql = "SELECT * FROM `Module` WHERE (`module_name` = '$mod_name')";
		$res = new DB_Result($this->dbh->execute($sql));
		
		if($res->count == 0) new Message(2,"No module called '$mod_name' found","?go=home","Module->constructor");
		$this->module_name = $res->module_name;
		$this->module_access = $res->module_access;
		$this->module_code = $res->module_code;
		$this->default_access = $res->default_access;
		
	$this->run();
	}
	
	public function run()
	{
		
		if (!(($this->default_access == 0)?$this->notRestricted(""):$this->isAllowed("")))
		{
			new Message(2,"Not enough permissions to run this module","?go=home","$this->module_name module");
		}
		
		
		$mod = $this; // Only for easier access inside this module;
		eval($this->module_code);
		
	}
	
	public function notRestricted($element) // Access - default to allow
	{
		return $_SESSION[auth]->access(0, $this->module_name, $element);
	}
	
	public function isAllowed($element) // Access - default to deny
	{
		return $_SESSION[auth]->access(1, $this->module_name, $element); 	
		
	}
	
	private function includeForm($form_name)
	{
		
		return new Form($form_name, $this);
	}
	
	private function includeView($view_name)
	{
		
		return new View($view_name, $this);
	}
	
	public function insertView($view_name) // Including view from form, for example
	{
		
		$view = $this->includeView($view_name);
		return $view->getView();
		
	}


	
}

?>