<?
// -------------------------------------------------------
// THIS FILE CONTAINS GLOBALY SHARED FUNCTIONS
// IT IS INCLUDED IN THE MAIN CONFIG FILE
// -------------------------------------------------------

function right($str,$from)
// Returns substr right from $from
{
	return (strpos($str, $from))?substr($str, strpos($str, $from)+strlen($from)):$str;
}

function rightback($str,$from)
// Returns substr right from $from
{
	return (strrpos($str, $from))?substr($str, strrpos($str, $from)+strlen($from)):$str;
}

function left($str, $from)
// Returns substr left from $from
{
	return (strpos($str, $from))?substr($str, 0, strpos($str, $from)):$str;
}


function leftback($str, $from)
// Returns substr left from $from
{
	return (strrpos($str, $from))?substr($str, 0, strrpos($str, $from)):$str;
}


function between($str, $from_l, $from_r)
{
	return right(left($str, $from_r),$from_l);
}
	  

function str_replace_once($needle, $replace, $haystack) {
   // Looks for the first occurence of $needle in $haystack
   // and replaces it with $replace.
   $pos = strpos($haystack, $needle);
   if ($pos === false) {
       // Nothing found
       return $haystack;
   }
   return substr_replace($haystack, $replace, $pos, strlen($needle));
} 

function ideize($str)
// deal with non-javascript characters
{
	$badchars = array(" ", "$", ".", ",", "-", "=", "?");
	return str_replace($badchars, "_", $str);
}
function mkcat($str) 
// Transfers category with sort strings into clear category
// and replaces bad chars for javascript identifier
{
	// Creates text-only category (without sort strings)
	$str = explode("$$",$str);
	for ($i = 0; $i < count($str); $i++) $str[$i] = ideize(right($str[$i],"|"));
	return (implode("$$",$str));
}

function mkcategory($str) 
// Transfers category with sort strings into clear category
{
	// Creates text-only category (without sort strings)
	$str = explode("$$",$str);
	for ($i = 0; $i < count($str); $i++) $str[$i] = right($str[$i],"|");
	return (implode(" > ",$str));
}

function print_element($arr, $table_id, $table_style, $firstcol_style, $seccol_style)
{
	// Print array as a table
	echo "<table style=\"$table_style\" id=\"$table_id\" cellpadding=\"0\" cellspacing=\"0\">\n";
	foreach ($arr as $key => $value)
	{
   		echo "<tr><td id=\"entry_key\" style=\"$firstcol_style\">$key</td><td id=\"entry_value\" style=\"$seccol_style\">$value</td></tr>\n";
	}
	echo "</table>\n";
}

function print_lines($dbres)
{
	if ($dbres->count == 0) return false; // If there are no documents, exit
	$line = $dbres->getnext(); // Get first result;	
	// Prints header ------------------------------------------------------------------
	echo "\n<table>\n";
	echo "\t<tr>\n";
	foreach($line->data as $key => $value) echo "\t\t<td id=\"entry_key\">$key</td>\n";
	echo "\t</tr>\n";
	// --------------------------------------------------------------------------------
	
	while($line)
	{
		echo "\t<tr>\n";
		foreach($line->data as $key => $value) echo "\t\t<td id=\"entry_value\">$value</td>\n";
		echo "\t</tr>\n";
		$line = $dbres->getnext();
	}
	echo "</table>\n";
}		 

function evalTemplate($str, $doc, Module $mod)
{
	$tmpstr = $str;
	while (strpos($tmpstr, "}"))
		{
			$identifier = between($tmpstr, "{", "}");
			// $full_identifier = '$doc->'.between($tmpstr, "{", "}"); Zalezi, jestli chci tahat jen atributy, nebo rovnou cely vyrazy
			eval("\$value = $identifier;");
			
			$value = str_replace("{","&#123;",$value);
			$value = str_replace("}","&#125;",$value);
			
			$str = str_replace_once($identifier, $value, $str);	
			$tmpstr = right($tmpstr, "}");
		}

	// Delete {s and }s

	$retstr = str_replace(array("{","}"),"",$str);
	$retstr = str_replace("&#123;","{",$retstr);
	$retstr = str_replace("&#125;","}",$retstr);
	return $retstr;
}


?>