-- MySQL dump 10.8
--
-- Host: localhost    Database: faltysekm1_oc
-- ------------------------------------------------------
-- Server version	4.1.7

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE="NO_AUTO_VALUE_ON_ZERO" */;

--
-- Table structure for table `User`
--

DROP TABLE IF EXISTS `User`;
CREATE TABLE `User` (
  `user_id` int(3) NOT NULL auto_increment,
  `username` char(20) collate utf8_czech_ci NOT NULL default '',
  `password` char(20) collate utf8_czech_ci NOT NULL default '',
  `name` char(30) collate utf8_czech_ci NOT NULL default '',
  `email` char(64) collate utf8_czech_ci NOT NULL default '',
  `icq` int(10) NOT NULL default '0',
  `hidden` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`user_id`),
  UNIQUE KEY `username` (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `User`
--


/*!40000 ALTER TABLE `User` DISABLE KEYS */;
LOCK TABLES `User` WRITE;
INSERT INTO `User` VALUES (1,'admin','admin','Administrator','admin@somewhere.net',0,0),(22,'@administrators','idehd','','',0,0),(27,'@web_editors','','','',0,0),(34,'@web_approvers','','','',0,0);
UNLOCK TABLES;
/*!40000 ALTER TABLE `User` ENABLE KEYS */;


--
-- Table structure for table `Module`
--

DROP TABLE IF EXISTS `Module`;
CREATE TABLE `Module` (
  `module_name` varchar(32) collate utf8_czech_ci NOT NULL default '',
  `module_code` text collate utf8_czech_ci NOT NULL,
  `module_display_text` varchar(12) collate utf8_czech_ci NOT NULL default '',
  `module_additional_code` text collate utf8_czech_ci NOT NULL,
  `module_icon` varchar(64) collate utf8_czech_ci NOT NULL default '',
  PRIMARY KEY  (`module_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `Module`
--


/*!40000 ALTER TABLE `Module` DISABLE KEYS */;
LOCK TABLES `Module` WRITE;
INSERT INTO `Module` VALUES ('','','','',''),('admin','// Admin module is stored as a file on the web server','','',''),('forum','// Gets forum information\r\n$sql = \"SELECT * from `Forum` where `forum_id` = \'$_GET[forum_id]$_POST[forum_id]\'\";\r\n$dbres = new DB_Result($_SESSION[dbh]->execute($sql));\r\n$last_read_message = $dbres->messages;\r\n\r\necho \"<h1>\".$dbres->forum_name.\"</h1>\\n\";\r\n$frm = $this->includeForm(\"Forum_message\");\r\n$frm->process();\r\n		\r\n$forums = $mod->includeView(\"Forum\");\r\n$forums->drawListing();\r\n$forums->drawView();\r\n$forums->drawListing();\r\n\r\n// Tries to find Form_unread_messages document\r\n$sql = \"SELECT * FROM `Forum_unread_messages` WHERE (`username` = \'$_SESSION[username]\' AND `forum_id` = \'$_GET[forum_id]$_POST[forum_id]\')\";\r\n$dbres = new DB_Result($_SESSION[dbh]->execute($sql));\r\n\r\n\r\n$dbres->count;\r\nif ($dbres->count == 0)\r\n	$sql = \"INSERT INTO `Forum_unread_messages` SET `forum_id` = \'$_GET[forum_id]$_POST[forum_id]\', username = \'$_SESSION[username]\', `last_read_message`=\'$last_read_message\'\";\r\nelse\r\n	$sql = \"UPDATE `Forum_unread_messages` SET  `last_read_message`=\'$last_read_message\' WHERE (`forum_id` = \'$_GET[forum_id]\' AND `username` = \'$_SESSION[username]\')\";\r\n\r\n$dbres = new DB_Result($_SESSION[dbh]->execute($sql));\r\n','','',''),('forums','echo \"<h1>Forums</h1>\\n\";\r\nif ($mod->notRestricted(\"forum_create\"))\r\n{\r\n$frm = $this->includeForm(\"Forum\");\r\n$frm->process($_GET[action]);\r\n}\r\n\r\n\r\n$sql = \"Select DISTINCT `forum_category` from Forum order by `forum_category`\";\r\n$res = new DB_Result($this->dbh->execute($sql));\r\nwhile($ln = $res->getnext()) // Posrane spatne.. tohle se musi doresit\r\n{\r\n	echo \"<h2>$ln->forum_category</h2>\\n\";\r\n	$GLOBALS[\'temp_variable\'] = $ln->forum_category; \r\n	$forums = $this->includeView(\"Forums\");\r\n	$forums->drawView();\r\n	echo \"<br>\";	\r\n	\r\n}',' Forums','','./img/forums.gif'),('home','echo \"\r\n<h1>Welcome</h1>\";\r\n$online_users = $this->includeView(\"Users_online\");\r\n$online_users->drawView();\r\necho \"<hr size=\\\"1\\\">\";\r\n$online_users = $this->includeView(\"User_logins\");\r\n$online_users->drawView();\r\n','  Home','','./img/home.gif'),('mail','echo \"<h1>Mail - new</h1>\\n\";\r\n\r\n$frm = $mod->includeForm(\"Mail_message\");\r\n$frm->process($_GET[action]);\r\n		\r\necho \"<table width=\\\"98%\\\">\\n\";\r\necho \"	<tr>\\n\";\r\necho \"		<td width=\\\"100%\\\">\\n\";\r\necho \"		<h1>MailBox</h1>\\n\";\r\n\r\n$mailbox = $mod->includeView(\"Mailbox\");\r\n$mailbox->drawListing(\"pos\");\r\n$mailbox->drawView();\r\n$mailbox->drawListing(\"pos\");			\r\n\r\necho \"		</td>\\n\";\r\necho \"	</tr>\\n\";\r\necho \"</table>\\n\";\r\n\r\n// Sets unread messages to read\r\n$sql = \"UPDATE `Mail_message` SET `is_read` = 1 WHERE (`to` = \'$_SESSION[username]\' and `is_read` = 0)\";\r\n$res = new DB_Result($this->dbh->execute($sql));\r\n\r\n	','   Mail','// Unread messages attention\r\n\r\n$sql = \"SELECT count(*) as `num_unread` FROM `Mail_message` where (`to` = \'$_SESSION[username]\' and `is_read` = 0)\";\r\n$res = new DB_Result($_SESSION[\'dbh\']->execute($sql));\r\nreturn $res->num_unread?\" : <span class=\\\"attention\\\">\".$res->num_unread.\"</span>\":\"\";','./img/mail.gif'),('profile','echo \"<h1>Profile</h1>\\n\";\r\n$frm = $mod->includeForm(\"Profile\");\r\n$frm->process();\r\n\r\nif ($_FILES[\'icon\'])\r\n{\r\n	$uploadfile = $_SESSION[\'cms_root\'].\'/oc/img/icons/\'.$_SESSION[\'username\'].\".gif\";\r\n\r\n	if (move_uploaded_file($_FILES[\'icon\'][\'tmp_name\'], $uploadfile))\r\n   	{\r\n		chmod($uploadfile, 0777);\r\n		echo \"Icon upload successfull\\n<br>If nothing happened, log out and log in\";\r\n	}\r\n	else\r\n   		echo \"Icon upload not successfull\\n\";	\r\n}\r\nelse\r\n{\r\n	echo \"<form enctype=\\\"multipart/form-data\\\" action=\\\"\\\" method=\\\"POST\\\">\\n\";\r\n	echo \"Icon file (must be 40x50 gif): <input name=\\\"icon\\\" type=\\\"file\\\" />\\n\";\r\n	echo \"<input type=\\\"submit\\\" value=\\\"Send File\\\" />\\n\";\r\n	echo \"</form>\\n\";\r\n}\r\n',' Profile','','./img/profile.gif'),('requirements','echo \"<h1>Bug Reports</h1>\";\r\necho \"<a href=\\\"?go=requirements\\\">Create New</a>\\n\";\r\nif ($_GET[action] == view)\r\n{\r\n$form = $mod->includeForm(\"Requirement_view\");\r\n$form->process();\r\n}\r\nelse\r\n{\r\n$form = $mod->includeForm(\"Requirement\");\r\n$form->process();\r\n}\r\necho \"<hr size=\\\"1\\\" color=\\\"#EAEAEA\\\">\";\r\n$view = $mod->includeView(\"Requirements\");\r\n$view->drawView();\r\necho \"<br>\";\r\n','Bugs/TODO','','./img/reports.gif'),('Users','echo \"<h1>Users</h1>\\n\";\r\n$view = $mod->isAllowed(\"maintain\")?\"User_admin\":\"Users\";\r\n$users = $mod->includeView($view);\r\n$users->drawView();\r\n\r\nif ($this->isAllowed(\"maintain\"))\r\n{\r\n	// Only for administrator\r\n	$frm = $mod->includeForm(\"User_admin\");\r\n	$frm->process();\r\n	\r\n}',' Users','','./img/users.gif'),('Web_admin','echo \"<table id=\\\"submenu\\\" cellspacing=\\\"0\\\" cellpadding=\\\"0\\\">\r\n	<tr>\r\n		<td><a href=\\\"?go=Web_admin\\\">Documents</a></td>\r\n		\".(($mod->notRestricted(\"approve\"))?\"<td><a href=\\\"?go=Web_admin&child=approval\\\">Approval</a></td>\":\"\").\r\n		\"<td><a href=\\\"?go=Web_admin&child=header\\\">Header</a></td>\r\n		<td><a href=\\\"?go=Web_admin&child=footer\\\">Footer</a></td>\r\n		<td><a href=\\\"?go=Web_admin&child=css\\\">CSS</a></td>\r\n		<td id=\\\"menu_spacer\\\"></td>\r\n	</tr>\r\n</table>\";\r\necho \"<br>&nbsp;\";\r\nif (1 != 1) // zaloha\r\n{\r\n	include(\"./include/menu.inc.php\");\r\n	echo \"<table width=\\\"95%\\\"><tr><td id=\\\"left\\\">\\n\";\r\n	$documents = $mod->includeView(\"Web_documents\");\r\n	$documents->drawView();\r\n	echo \"</td><td id=\\\"right\\\">\\n\";\r\n	$frmname = ($_GET[action]==\"view\" | $_GET[action] == \"toapprove\")?\"Document_view\":\"Document_edit\";\r\n	$frm = $this->includeForm($frmname);\r\n	$frm->process();\r\n	echo \"</td></tr><tr><td>&nbsp;</td><td>\";\r\n	echo \"<table><tr><td width=\\\"280\\\">\";\r\n	$afrm = $mod->includeForm(\"Asset\");\r\n	$afrm->process();\r\n	echo \"</td><td>\";\r\n	$assets = $mod->includeView(\"Assets\");\r\n	$assets->drawView();\r\n	echo \"</td></tr></table>\";\r\n	echo \"</td></tr></table>\";\r\n} // konec zalohy\r\n\r\nif (!$_GET[child])\r\n{\r\n	echo \"<br><small>E - Edit document; D - Delete document; A - Send to approval process</small><hr size=\\\"1\\\"\";\r\n	$documents = $mod->includeView(\"Web_documentedit\");\r\n	$documents->drawView();\r\n	echo \"<hr size=\\\"1\\\">\";\r\n	$frmname = ($_GET[action]==\"view\" | $_GET[action] == \"toapprove\")?\"Document_view\":\"Document_edit\";\r\n	$frm = $this->includeForm($frmname);\r\n	$frm->process();\r\n	echo \"<hr size=\\\"1\\\">\";\r\n	echo \"<table><tr><td width=\\\"280\\\">\";\r\n	$afrm = $mod->includeForm(\"Asset\");\r\n	$afrm->process();\r\n	echo \"</td><td>\";\r\n	$assets = $mod->includeView(\"Assets\");\r\n	$assets->drawView();\r\n	echo \"</td></tr></table>\";\r\n}\r\nelse if ($_GET[child] == \"profile\")\r\n{\r\n	echo \"Profile\";\r\n}\r\nelse if ($_GET[child] == \"css\")\r\n{\r\n	echo \"<br>\";\r\n	echo \"<h2>CSS Edit</h2>\\n\";\r\n	$frm = $mod->includeForm(\"Profile_edit\");\r\n	$frm->process();\r\n}\r\nelse if ($_GET[child] == \"header\")\r\n{\r\n	echo \"<br>\";\r\n	echo \"<h2>Header</h2>\\n\";\r\n	$frm = $mod->includeForm(\"Profile_edit\");\r\n	$frm->process();\r\n}\r\nelse if ($_GET[child] == \"footer\")\r\n{\r\n	echo \"<br>\";\r\n	echo \"<h2>Footer</h2>\\n\";\r\n	$frm = $mod->includeForm(\"Profile_edit\");\r\n	$frm->process();\r\n}\r\nelse if ($_GET[child] == \"approval\")\r\n{\r\n	if($mod->notRestricted(\"approve\"))\r\n	{\r\n	echo \"<br><small>R - Return to edit; A - Approve; X - Unapprove</small><hr size=\\\"1\\\"\";\r\n	$documents = $mod->includeView(\"Web_approval\");\r\n	$documents->drawView();\r\n	echo \"<hr size=\\\"1\\\">\";\r\n	$frm = $this->includeForm(\"Approval\");\r\n	$frm->process();\r\n	} else {\r\n	echo \"Not enough permissions\";\r\n	}\r\n}','Web Admin','','./img/reports.gif');
UNLOCK TABLES;
/*!40000 ALTER TABLE `Module` ENABLE KEYS */;


--
-- Table structure for table `Document`
--

DROP TABLE IF EXISTS `Document`;
CREATE TABLE `Document` (
  `doc_id` int(4) NOT NULL auto_increment,
  `doc_name` varchar(32) collate utf8_czech_ci NOT NULL default '',
  `abstract` text collate utf8_czech_ci NOT NULL,
  `created` int(10) NOT NULL default '0',
  `updated` int(10) NOT NULL default '0',
  `sortstr` varchar(30) collate utf8_czech_ci NOT NULL default '',
  `type` int(1) NOT NULL default '0',
  `content` longtext collate utf8_czech_ci NOT NULL,
  `fullcat` varchar(255) collate utf8_czech_ci NOT NULL default '',
  `title` varchar(64) collate utf8_czech_ci NOT NULL default '',
  `parent` varchar(20) collate utf8_czech_ci NOT NULL default '',
  `state_num` tinyint(2) NOT NULL default '0',
  `author` varchar(20) collate utf8_czech_ci NOT NULL default '',
  PRIMARY KEY  (`doc_id`),
  UNIQUE KEY `fullcat` (`fullcat`),
  KEY `new_fk_constraint` (`parent`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `Document`
--


/*!40000 ALTER TABLE `Document` DISABLE KEYS */;
LOCK TABLES `Document` WRITE;
INSERT INTO `Document` VALUES (1,'Home Page','',0,1117222181,'HH',0,'Wellcome to the default home page of the open community web module.\r\nLogin to the system is located <a href=\"./oc/\">here</a>.','HH|Home Page','Welcome!','',20,'');
UNLOCK TABLES;
/*!40000 ALTER TABLE `Document` ENABLE KEYS */;

--
-- Table structure for table `Asset`
--

DROP TABLE IF EXISTS `Asset`;
CREATE TABLE `Asset` (
  `file_name` varchar(64) collate utf8_czech_ci NOT NULL default '',
  `doc_id` int(4) NOT NULL default '0',
  `data` mediumblob NOT NULL,
  `type` varchar(32) collate utf8_czech_ci NOT NULL default '',
  PRIMARY KEY  (`file_name`,`doc_id`),
  KEY `asset_docid_constraint` (`doc_id`),
  CONSTRAINT `asset_docid_constraint` FOREIGN KEY (`doc_id`) REFERENCES `Document` (`doc_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `Asset`
--


/*!40000 ALTER TABLE `Asset` DISABLE KEYS */;
LOCK TABLES `Asset` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `Asset` ENABLE KEYS */;



--
-- Table structure for table `Form`
--

DROP TABLE IF EXISTS `Form`;
CREATE TABLE `Form` (
  `form_name` varchar(32) collate utf8_czech_ci NOT NULL default '',
  `form_template` text collate utf8_czech_ci NOT NULL,
  `action_parameter` varchar(8) collate utf8_czech_ci NOT NULL default 'action',
  `module_name` varchar(32) collate utf8_czech_ci NOT NULL default '',
  PRIMARY KEY  (`form_name`,`module_name`),
  KEY `module_name_constraint2` (`module_name`),
  CONSTRAINT `module_name_constraint2` FOREIGN KEY (`module_name`) REFERENCES `Module` (`module_name`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `Form`
--


/*!40000 ALTER TABLE `Form` DISABLE KEYS */;
LOCK TABLES `Form` WRITE;
INSERT INTO `Form` VALUES ('Admin_form','<!-- NEVER SAVE THIS FORM VIA WEB BROWSER --//>\r\n<form method=\"post\" action=\"?go=admin&sub=form&action={($_GET[action] == \"edit\")?\"update\":\"create\"}\" id=\"Admin_form\" class=\"form\">\r\n<table width=\"98%\">\r\n<tr><td width=\"10%\" class=\"form_key\">Form name</td><td><input type=\"text\" {($_GET[action] == \"edit\")?\"READONLY\":\"\"} name=\"form_name\" value=\"{$doc->form_name}\" class=\"form_value\"></td></tr>\r\n<tr><td width=\"10%\" class=\"form_key\">Module Name</td><td><input type=\"text\" {($_GET[action] == \"edit\")?\"READONLY\":\"\"} name=\"module_name\" value=\"{$doc->module_name}\" class=\"form_value\"></td></tr>\r\n<tr><td width=\"10%\" class=\"form_key\">Action parameter</td><td><input type=\"text\" name=\"action_parameter\" value=\"{$doc->action_parameter}\" class=\"form_value\"></td></tr>\r\n<tr>\r\n<td colspan=\"2\">\r\n<textarea name=\"form_template\" class=\"form_html_edit\" rows=\"10\" style=\"width: 100%\" wrap=\"OFF\" onDblClick=\"maximize(this)\">{str_replace(\"</textarea>\",\"&lt;/textarea&gt;\",$doc->form_template)}</textarea>\r\n</td></tr>\r\n</table>\r\n<input type=\"submit\" value=\"Save form\">\r\n</form>\r\n\r\n\r\n\r\n','action',''),('Admin_form_action','<form class=\"form\" method=\"POST\" action=\"?go=admin&sub=form&action=edit&module_name={$_GET[module_name]}&form_name={$_GET[form_name]}&faction={($_GET[faction] == \"edit\")?\"update\":\"create\"}\">\r\n<table width=\"98%\"><tr>\r\n<td width=\"10%\" class=\"form_key\">Action name</td><td><input class=\"form_value\" type=\"text\" {($_GET[faction] == \"edit\")?\"READONLY\":\"\"} name=\"action_name\" value=\"{$doc->action_name}\"></td></tr>\r\n<tr>\r\n<td colspan=\"4\">\r\n<textarea rows=\"8\" style=\"width: 100%\" name=\"action_code\" class=\"form_html_edit\" onDblClick=\"maximize(this)\">{$doc->action_code}</textarea>\r\n</td>\r\n</tr>\r\n</table>\r\n<input type=\"submit\" value=\"Insert / Update Action\">\r\n</form>','faction',''),('Admin_module','<form class=\"form\" method=\"POST\" action=\"?go=admin&sub=module&module_name={$_GET[module_name]}&action={($_GET[action] == \"edit\")?\"update\":\"create\"}\">\r\n<table width=\"98%\">\r\n<tr>\r\n<td width=\"10%\" class=\"form_key\">Module name</td>\r\n<td><input class=\"form_value\" type=\"text\" {($_GET[action] == \"edit\")?\"READONLY\":\"\"} name=\"module_name\" value=\"{$doc->module_name}\"></td>\r\n</tr>\r\n<tr>\r\n<td width=\"10%\" class=\"form_key\">Display Text</td>\r\n<td><input class=\"form_value\" type=\"text\" name=\"module_display_text\" size=\"12\" maxlength=\"12\" value=\"{$doc->module_display_text}\"></td>\r\n</tr>\r\n<tr>\r\n<td width=\"10%\" class=\"form_key\">Icon</td>\r\n<td><input class=\"form_value\" type=\"text\" name=\"module_icon\" maxlength=\"64\" size=\"64\" value=\"{$doc->module_icon}\"></td>\r\n</tr>\r\n\r\n<tr>\r\n<td colspan=\"2\" class=\"form_key\">\r\nModule code:<br>\r\n<textarea style=\"height: 150px; width: 100%\" name=\"module_code\" class=\"form_html_edit\" onDblClick=\"maximize(this)\">{$doc->module_code}</textarea>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td colspan=\"2\" class=\"form_key\">\r\nAdditional code (when displaying in menu):<br>\r\n<textarea rows=\"8\" style=\"width: 100%\" name=\"module_additional_code\" class=\"form_html_edit\" onDblClick=\"maximize(this)\">{$doc->module_additional_code}</textarea>\r\n</td>\r\n</tr>\r\n\r\n</table>\r\n<input type=\"submit\" value=\"Insert / Update Module\">\r\n</form>','action',''),('Admin_role','<form class=\"form\" id=\"Admin_role\" method=\"POST\" action=\"?go=admin&sub=module&raction=update&module_name={$_GET[module_name]}\">\r\n<table>\r\n	<tr>\r\n		<td class=\"form_key\">Actor:</td>\r\n		<td id=\"form_key\">{$mod->insertView(\"Actor_select\")}</td>\r\n		<td class=\"form_key\">Role name:</td>\r\n		<td id=\"form_key\"><input type=\"text\" class=\"form_value\" name=\"role_name\" value=\"{$doc->role_name}\"></td>\r\n		<td id=\"form_key\"><input type=\"submit\" value=\"Save\"></td>\r\n\r\n	</tr>\r\n\r\n</table>\r\n<input type=\"hidden\" value=\"{$doc->role_id}\" name=\"role_id\">\r\n</form>\r\n<script language=\"javascript\">\r\nfrm = document.getElementById(\"Admin_role\");\r\nfrm.module_name.value = \"{$doc->module_name}\";\r\nfrm.actor = \"{$doc->actor}\";\r\n</script>','raction',''),('Admin_user_group','<form id=\"Admin_role\" method=\"POST\" action=\"?go=admin&child=groups&action=insert\">\r\n<table>\r\n	<tr>\r\n		<td id=\"form_key\"><input type=\"submit\" value=\"<<\"></td>\r\n		<td id=\"form_key\">{$mod->insertView(\"User_select\")}</td>\r\n\r\n\r\n	</tr>\r\n\r\n</table>\r\n<input type=\"hidden\" name=\"group_name\" value=\"{$_GET[group_name]}\">\r\n</form>','action',''),('Admin_view','<form method=\"post\" action=\"?go=admin&sub=view&action={($_GET[action] == \"edit\")?\"update\":\"create\"}\" id=\"Admin_view\" class=\"form\">\r\n<table width=\"96%\">\r\n	<tr><td class=\"form_key\" style=\"width: 120px\">View name</td><td><input class=\"form_value\" type=\"text\" {($_GET[action] == \"edit\")?\"READONLY\":\"\"} name=\"view_name\" value=\"{$doc->view_name}\"></td></tr>\r\n	<tr><td class=\"form_key\">Module Name</td><td><input class=\"form_value\" type=\"text\" name=\"module_name\" {($_GET[action] == \"edit\")?\"READONLY\":\"\"} value=\"{$doc->module_name}\"></td></tr>\r\n	<tr><td class=\"form_key\">SQL</td><td><input class=\"form_value\" style=\"width: 100%\" type=\"text\" name=\"select\" value=\"{$doc->select}\"></td></tr>\r\n	<tr><td class=\"form_key\">Display Messages</td><td><input class=\"form_value\" type=\"text\" name=\"num_display_elements\" value=\"{$doc->num_display_elements}\"></td></tr>\r\n	<tr><td class=\"form_key\">Roll Parameter</td><td><input class=\"form_value\" type=\"text\" name=\"roll_parameter\" value=\"{$doc->roll_parameter}\"></td></tr>\r\n\r\n	<tr><td colspan=\"2\" class=\"form_key\">\r\n	View Header:<br>\r\n	<textarea class=\"form_html_edit\" name=\"view_header\" style=\"width: 100%\" rows=\"5\" onDblClick=\"maximize(this)\">{$doc->view_header}</textarea>\r\n	</td></tr>\r\n\r\n	<tr><td colspan=\"2\" class=\"form_key\">\r\n	View Template:<br>\r\n	<textarea class=\"form_html_edit\" name=\"view_template\" style=\"width: 100%\" rows=\"5\" onDblClick=\"maximize(this)\">{$doc->view_template}</textarea>\r\n	</td></tr>\r\n\r\n	<tr><td colspan=\"2\" class=\"form_key\">\r\n	View Footer:<br>\r\n	<textarea class=\"form_html_edit\" name=\"view_footer\" style=\"width: 100%\" rows=\"5\" onDblClick=\"maximize(this)\">{$doc->view_footer}</textarea>\r\n	</td></tr>\r\n\r\n	<tr><td class=\"form_key\"><input type=\"submit\" value=\"Save\"></td><td></td></tr>\r\n\r\n</table>\r\n</form>','action',''),('Approval','<table>\r\n<tr><td id=\"entry_value\">State</td><td id=\"entry_value\">\r\n{$doc->state_num} - {($doc->state_num == 20)?\"Approved\":(($doc->state_num == 10)?\"To Approve\":\"Concept\");}\r\n<input type=\"{($doc->state_num < 10)?\"BUTTON\":\"HIDDEN\"}\" onclick=\"document.location.href=\'?go=Web_admin&action=toapprove&fullcat={$doc->fullcat}\';\" value=\"Send to Approve\">\r\n</td></tr>\r\n<tr><td id=\"entry_value\">Doc name</td><td id=\"entry_value\">{$doc->doc_name}</td></tr>\r\n<tr><td id=\"entry_value\">Title</td><td id=\"entry_value\">{$doc->title}</td></tr>\r\n<tr><td id=\"entry_value\">Abstract</td><td id=\"entry_value\">{$doc->abstract}</td></tr>\r\n<tr><td id=\"entry_value\">Sortstr</td><td id=\"entry_value\">{$doc->sortstr}</td></tr>\r\n<tr><td id=\"entry_value\">Type</td><td id=\"entry_value\">{$doc->type}</td></tr>\r\n<tr><td id=\"entry_value\">Content</td><td id=\"entry_value\">{$doc->content}</td></tr>\r\n</table>\r\n','action','Web_admin'),('Asset','<form enctype=\"multipart/form-data\" action=\"?go=Web_admin&action=view&aaction=create&fullcat={$_GET[fullcat]}\" method=\"POST\">\r\n    <input name=\"dfile\" type=\"file\" />\r\n    <input type=\"submit\" value=\"&gt;&gt;\" />\r\n</form>','aaction','Web_admin'),('Document_edit','<form id=\"Document_edit\" action=\"?go=Web_admin&action={($doc->doc_id == \"\")?\"create\":\"update\";}\" method=\"POST\">\r\n<table>\r\n<tr><td id=\"entry_value\">Doc name</td><td id=\"entry_value\"><input size=\"40\" type=\"text\" name=\"doc_name\" value=\"{$doc->doc_name}\"></td></tr>\r\n<tr><td id=\"entry_value\">Title</td><td id=\"entry_value\"><input type=\"text\" size=\"40\" name=\"title\" value=\"{$doc->title}\"></td></tr>\r\n<tr><td id=\"entry_value\">Abstract</td><td id=\"entry_value\"><input type=\"text\" size=\"60\" name=\"abstract\" value=\"{$doc->abstract}\"></td></tr>\r\n<tr><td id=\"entry_value\">Sortstr</td><td id=\"entry_value\"><input {($doc->doc_id == \"\")?\"\":\"\\\"READONLY\\\"\";}type=\"text\" size=\"40\" name=\"sortstr\" value=\"{$doc->sortstr}\"></td></tr>\r\n<tr><td id=\"entry_value\">Type</td><td id=\"entry_value\">\r\n<select name=\"type\">\r\n<option value=\"0\">HTML Page</option>\r\n<option value=\"1\">Plain text</option>\r\n<option value=\"2\">Blog</option>\r\n</select>\r\n</td></tr>\r\n<tr><td id=\"entry_value\">Reference</td><td id=\"entry_value\">{$mod->insertView(\"Web_parent_select\");}</td></tr>\r\n</table>\r\n<textarea style=\"width:95%; height:350px\" class=\"form_html_edit\" name=\"content\">{$doc->content}</textarea>\r\n<br>\r\n<input type=\"hidden\" readonly name=\"doc_id\" value=\"{$doc->doc_id}\">\r\n<input type=\"submit\" value=\"Save\">\r\n</form>\r\n<script language=\"javascript\">\r\nfrm = document.getElementById(\"Document_edit\");\r\nfrm.parent.value = \"{$doc->parent}\";\r\nfrm.type.value = \"{$doc->type}\";\r\n</script>','action','Web_admin'),('Document_view','<table>\r\n<tr><td id=\"entry_value\">Doc ID</td><td id=\"entry_value\">{$doc->doc_id}</td></tr>\r\n<tr><td id=\"entry_value\">State</td><td id=\"entry_value\">\r\n{$doc->state_num} - {($doc->state_num == 20)?\"Approved\":(($doc->state_num == 10)?\"To Approve\":\"Concept\");}\r\n<input type=\"{($doc->state_num < 10)?\"BUTTON\":\"HIDDEN\"}\" onclick=\"document.location.href=\'?go=Web_admin&action=toapprove&fullcat={$doc->fullcat}\';\" value=\"Send to Approve\">\r\n</td></tr>\r\n<tr><td id=\"entry_value\">Doc name</td><td id=\"entry_value\">{$doc->doc_name}</td></tr>\r\n<tr><td id=\"entry_value\">Title</td><td id=\"entry_value\">{$doc->title}</td></tr>\r\n<tr><td id=\"entry_value\">Abstract</td><td id=\"entry_value\">{$doc->abstract}</td></tr>\r\n<tr><td id=\"entry_value\">Created</td><td id=\"entry_value\">{$doc->created}</td></tr>\r\n<tr><td id=\"entry_value\">Updated</td><td id=\"entry_value\">{$doc->updated}</td></tr>\r\n<tr><td id=\"entry_value\">Sortstr</td><td id=\"entry_value\">{$doc->sortstr}</td></tr>\r\n<tr><td id=\"entry_value\">Type</td><td id=\"entry_value\">{$doc->type}</td></tr>\r\n<tr><td id=\"entry_value\">Content</td><td id=\"entry_value\">{$doc->content}</td></tr>\r\n<tr><td id=\"entry_value\">Fullcat</td><td id=\"entry_value\">{$doc->fullcat}</td></tr>\r\n</table>\r\n','action','Web_admin'),('Forum','<form method=\"POST\" action=\"?go=forums&action=create\" class=\"form\">\r\n<table>\r\n	<tr><td class=\"form_key\">Forum Name</td><td><input class=\"form_value\" type=\"text\" name=\"forum_name\" value=\"{$doc->forum_name}\"></td></tr>\r\n	<tr><td class=\"form_key\">Description</td><td><input size=\"60\" class=\"form_value\" type=\"text\" name=\"forum_desc\" value=\"{$doc->forum_desc}\"></td></tr>\r\n	<tr><td class=\"form_key\">Category</td><td>\r\n		<input class=\"form_value\" type=\"text\" name=\"forum_category\" value=\"{($mod->notRestricted(\"\"))?\"$doc->forum_category\":\"User Forums\"}\" {($mod->notRestricted(\"\"))?\"\":\"READONLY\"}></td></tr>		\r\n\r\n	<tr><td class=\"form_key\"> </td><td><input type=\"submit\" value=\"Create New / Save Forum\"></td></tr>\r\n\r\n</table>\r\n<input type=\"hidden\" readonly name=\"forum_id\" value=\"{$doc->forum_id}\">\r\n</form>\r\n','action','Forums'),('Forum_message','<form method=\"POST\" id=\"Forum_message\" action=\"?go=forum&action=send\">\r\n<table width=\"98%\" border=\"0\">\r\n	<tr>\r\n		<td class=\"form_key\" width=\"70\">\r\n		Message:\r\n		</td>\r\n		<td class=\"form_key\">\r\n		<textarea class=\"form_value\" name=\"text\" style=\"width:100%\" rows=\"5\">{$doc->text}</textarea>\r\n	</tr>\r\n	<tr>\r\n		<td> </td>\r\n		<td class=\"form_key\"><input style=\"float: right\" type=\"submit\" value=\"Send message\"></td>\r\n	</tr>\r\n</table>\r\n<input type=\"hidden\" value=\"{$_GET[forum_id]}\" name=\"forum_id\">\r\n</form>\r\n','action','Forum'),('Mail_message','<form action=\"?go=mail&action=send\" method=\"POST\" id=\"Mail_message\">\r\n<table width=\"750\">\r\n<tr><td class=\"form_key\" width=\"60\">Recipient</td><td>\r\n{$mod->insertView(\"Users_select\")}\r\n</td></tr>\r\n<tr><td colspan=\"2\">\r\n<textarea name=\"text\" class=\"form_value\" style=\"width: 100%\" rows=\"5\"></textarea>\r\n</td></tr>\r\n</table>\r\n<input type=\"button\" onclick=\"if(document.getElementById(\'Mail_message\').to.value==\'\') alert(\'Recipient must be set\'); else document.getElementById(\'Mail_message\').submit()\" value=\"Send\">\r\n</form>\r\n<script language=\"javascript\">\r\nfrm = document.getElementById(\"Mail_message\");\r\nfrm.to.value = \"{$_GET[to]}\";\r\n</script>\r\n\r\n','action','Mail'),('Profile','<form method=\"POST\" action=\"?go=profile&action=update\" class=\"form\">\r\n<table>\r\n	<tr><td class=\"form_key\" READONLY>Username</td><td><input class=\"form_value\" type=\"text\" name=\"username\" value=\"{$doc->username}\"></td></tr>\r\n	<tr><td class=\"form_key\">Password</td><td><input class=\"form_value\" type=\"password\" name=\"password\" value=\"{$doc->password}\"></td></tr>\r\n	<tr><td class=\"form_key\">Real Name</td><td><input class=\"form_value\" type=\"text\" name=\"name\" value=\"{$doc->name}\"></td></tr>\r\n	<tr><td class=\"form_key\">Email</td><td><input class=\"form_value\" type=\"text\" name=\"email\" value=\"{$doc->email}\"></td></tr>\r\n	<tr><td class=\"form_key\">ICQ</td><td><input class=\"form_value\" type=\"text\" name=\"icq\" value=\"{$doc->icq}\"></td></tr>\r\n	<tr><td class=\"form_key\"> </td><td><input type=\"submit\" value=\"Save\"></td></tr>\r\n\r\n</table>\r\n</form>','action','Profile'),('Profile_edit','<form name=\"Profile_edit\" method=\"POST\" action=\"?go=Web_admin&child={$_GET[child]}&action=update\">\r\n<table><tr>\r\n<textarea name=\"value\" class=\"form_html_edit\" rows=\"25\" style=\"width: 100%\">{$doc->value}</textarea><br>\r\n<input type=\"hidden\" name=\"name\" value=\"{$_GET[child]}\">\r\n<input type=\"submit\" value=\"Save\">\r\n</form>\r\n','action','Web_admin'),('Requirement','<form method=\"POST\" action=\"?go=requirements&action={($doc->state_num == 0)?\"create\":(($doc->state_num == 1)?\"accept\":\"close\")}\" class=\"form\">\r\n<table>\r\n	<tr><td class=\"form_key\">Subject</td><td><input {($_GET[action] == \"edit\")?\" READONLY\":\"\"} class=\"form_value\" type=\"text\" name=\"subject\" value=\"{$doc->subject}\" size=\"64\" maxlength=\"64\"></td></tr>\r\n	<tr>\r\n		<td class=\"form_key\">Description</td>\r\n		<td class=\"form_key\"><textarea {($_GET[action] == \"edit\")?\" READONLY\":\"\"} name=\"description\" class=\"form_html_edit\" rows=\"5\" cols=\"80\">{$doc->description}</textarea></td>\r\n	</tr>\r\n	<tr style=\"{($doc->state_num<2)?\"display:none\":\"\"}\">\r\n		<td class=\"form_key\">Solution</td>\r\n		<td class=\"form_key\" class=\"html_form_edit\"><textarea name=\"solution\" class=\"form_html_edit\" rows=\"5\" cols=\"80\">{$doc->solution}</textarea></td>\r\n	</tr>\r\n</table>\r\n<input type=\"hidden\" name=\"requirement_id\" value=\"{$doc->requirement_id}\">\r\n<input type=\"submit\" value=\"{($doc->state_num == 0)?\"Create\":(($doc->state_num == 1)?\"Accept\":\"Mark as closed\")}\">\r\n</form>\r\n','action','requirements'),('Requirement_view','<table width=\"780\">\r\n<tr><td  width=\"130\" id=\"entry_key\">Reported</td><td id=\"entry_value\" width=\"650\">{date(\"d/m/y - H:i:s\",$doc->date_created)} by <b>{$doc->creator}</b> </td></tr>\r\n<tr><td id=\"entry_key\">State</td><td id=\"entry_value\">{($doc->state_num == 1)?\"<font color=\\\"darkred\\\">Reported</font>\":(($doc->state_num == 2)?\"<font color=\\\"navy\\\">Accepted</font>\":(($doc->state_num == 3)?\"<font color=\\\"green\\\">Closed</font>\":\"??\"))}</td></tr>\r\n<tr><td id=\"entry_key\">Subject</td><td id=\"entry_value\">{$doc->subject} </td></tr>\r\n<tr><td id=\"entry_key\">Description</td><td id=\"entry_value\">{$doc->description} </td></tr>\r\n<tr><td id=\"entry_value\" colspan=\"2\"> </td></tr>\r\n<tr><td id=\"entry_key\">Solved / Closed</td><td id=\"entry_value\">{$doc->closed} </td></tr>\r\n<tr><td id=\"entry_key\">Solution</td><td id=\"entry_value\">{$doc->solution} </td></tr>\r\n</table>','action','requirements'),('User_admin','<form method=\"POST\" action=\"?go=users&action=update\" class=\"form\">\r\n<table>\r\n	<tr><td class=\"form_key\">Username</td><td><input class=\"form_value\" type=\"text\" name=\"username\" value=\"{$doc->username}\"></td></tr>\r\n	<tr><td class=\"form_key\">Password</td><td><input class=\"form_value\" type=\"password\" name=\"password\" value=\"{$doc->password}\"></td></tr>\r\n	<tr><td class=\"form_key\">Real Name</td><td><input class=\"form_value\" type=\"text\" name=\"name\" value=\"{$doc->name}\"></td></tr>\r\n	<tr><td class=\"form_key\">Email</td><td><input class=\"form_value\" type=\"text\" name=\"email\" value=\"{$doc->email}\"></td></tr>\r\n	<tr><td class=\"form_key\">ICQ</td><td><input class=\"form_value\" type=\"text\" name=\"icq\" value=\"{$doc->icq}\"></td></tr>\r\n	<tr><td class=\"form_key\">Hidden</td><td><input class=\"form_value\" type=\"text\" name=\"hidden\" value=\"{$doc->hidden}\"></td></tr>\r\n	<tr><td class=\"form_key\"> </td><td><input type=\"submit\" value=\"Save\"></td></tr>\r\n\r\n</table>\r\n<input type=\"hidden\" name=\"user_id\" value=\"{$doc->user_id}\">','action','Users');
UNLOCK TABLES;
/*!40000 ALTER TABLE `Form` ENABLE KEYS */;

--
-- Table structure for table `Form_action`
--

DROP TABLE IF EXISTS `Form_action`;
CREATE TABLE `Form_action` (
  `form_name` varchar(32) collate utf8_czech_ci NOT NULL default '',
  `action_name` varchar(32) collate utf8_czech_ci NOT NULL default '',
  `action_code` text collate utf8_czech_ci NOT NULL,
  `action_role` varchar(20) collate utf8_czech_ci NOT NULL default '',
  PRIMARY KEY  (`form_name`,`action_name`),
  CONSTRAINT `form_name_constraint` FOREIGN KEY (`form_name`) REFERENCES `Form` (`form_name`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `Form_action`
--


/*!40000 ALTER TABLE `Form_action` DISABLE KEYS */;
LOCK TABLES `Form_action` WRITE;
INSERT INTO `Form_action` VALUES ('Admin_form','','$this->drawForm();',''),('Admin_form','create','$this->form_name		= $_POST[\'form_name\'];\r\n$this->module_name		= $_POST[\'module_name\'];\r\n$this->db_element->form_template = $_POST[\'form_template\'];\r\n$this->db_element->action_parameter = $_POST[\'action_parameter\'];\r\n$this->createElement(\"Form\",\"form_name\",\"\");\r\n\r\n// Create default action\r\n$this->db_element->data = \"\";\r\n$this->form_name = $_POST[\'form_name\'];\r\n$this->action_name = \"\";\r\n$this->action_code = \'$this->drawForm();\\n\';\r\n$this->createElement(\"Form_action\",\"form_name\",\"?go=admin&child=form&action=edit&form_name=$_POST[form_name]&module_name=$_POST[module_name]\");\r\n\r\n\r\n',''),('Admin_form','delete','$keys = array(\"module_name\", \"form_name\");\r\n$vals = array($_GET[module_name], $_GET[form_name]);\r\n$this->findElement(\"Form\",$keys, $vals);\r\n$this->deleteElement(\"?go=admin&sub=form\");',''),('Admin_form','edit','$keys = array(\"module_name\", \"form_name\");\r\n$vals = array($_GET[module_name], $_GET[form_name]);\r\n$this->findElement(\"Form\",$keys, $vals);\r\n$this->drawForm();	',''),('Admin_form','update','$keys = array(\"module_name\", \"form_name\");\r\n$vals = array($_POST[module_name], $_POST[form_name]);\r\n$this->findElement(\"Form\",$keys, $vals);\r\n$this->module_name		= $_POST[\'module_name\'];\r\n$this->form_name 				= $_POST[\'form_name\'];\r\n$this->db_element->action_parameter 	= $_POST[\'action_parameter\'];\r\n$this->db_element->form_template 	= $_POST[\'form_template\'];\r\n$this->updateElement(\"?go=admin&sub=form&action=edit&form_name=$_POST[form_name]&module_name=$_POST[module_name]\");\r\n',''),('Admin_form_action','','$this->drawForm();',''),('Admin_form_action','create','$this->form_name	= $_GET[\'form_name\'];\r\n$this->action_role	= $_POST[\'action_role\'];\r\n$this->action_name	= $_POST[\'action_name\'];\r\n$this->action_code	= $_POST[\'action_code\'];\r\n$this->createElement(\"Form_action\",\"action_name\",\"?go=admin&child=form&action=edit&module_name={$_GET[module_name]}&form_name=$_GET[form_name]\");',''),('Admin_form_action','delete','$keys = array(\'action_name\',\'form_name\');\r\n$vals = array($_GET[\'action_name\'],$_GET[\'form_name\']);\r\n$this->findElement(\"Form_action\",$keys, $vals);\r\n$this->deleteElement(\"?go=admin&child=form&action=edit&module_name={$_GET[module_name]}&form_name=$_GET[form_name]\");',''),('Admin_form_action','edit','//if ($_GET[\'action_name\'] && $_GET[\'form_name\'])\n{\n	$keys = array(\'action_name\',\'form_name\');\n	$vals = array($_GET[\'action_name\'],$_GET[\'form_name\']);\n	$this->findElement(\"Form_action\",$keys, $vals);\n}\n$this->drawForm();\n',''),('Admin_form_action','update','$keys = array(\'action_name\',\'form_name\');\r\n$vals = array($_POST[\'action_name\'],$_GET[\'form_name\']);\r\n$this->findElement(\"Form_action\",$keys, $vals);\r\n$this->action_name	= $_POST[\'action_name\'];\r\n$this->action_role	= $_POST[\'action_role\'];\r\n$this->action_code	= $_POST[\'action_code\'];\r\n$this->updateElement(\"?go=admin&child=form&action=edit&module_name={$_GET[module_name]}&form_name=$_GET[form_name]\");\r\n',''),('Admin_module','','$this->drawForm();\n',''),('Admin_module','create','$this->module_name = $_POST[\'module_name\'];\r\n$this->module_display_text = $_POST[\'module_display_text\'];\r\n$this->module_icon = $_POST[\'module_icon\'];\r\n$this->module_additional_code = $_POST[\'module_additional_code\'];\r\n$this->module_code = $_POST[\'module_code\'];\r\n$this->createElement(\"Module\", \"module_name\", \"?go=admin&#8834;=module&action=edit&module_name=$_POST[module_name]\");',''),('Admin_module','delete','$this->findElement(\"Module\",\"module_name\",$_GET[module_name]);\n$this->deleteElement(\"?go=admin&sub=module\");',''),('Admin_module','edit','$this->findElement(\"Module\",\"module_name\",$_GET[module_name]);\r\n$this->module_code = htmlspecialchars($this->module_code);\r\n$this->module_additional_code = htmlspecialchars($this->module_additional_code);\r\n$this->module_icon = htmlspecialchars($this->module_icon);\r\n$this->drawForm();',''),('Admin_module','update','$this->findElement(\"Module\",\"module_name\",$_POST[module_name]);\r\n$this->module_display_text = $_POST[\'module_display_text\'];\r\n$this->module_icon = $_POST[\'module_icon\'];\r\n$this->module_additional_code = $_POST[\'module_additional_code\'];\r\n$this->module_code = $_POST[\'module_code\'];\r\n$this->updateElement(\"?go=admin&#8834;=module&action=edit&module_name=$_POST[module_name]\");',''),('Admin_role','','$this->drawForm();\n',''),('Admin_role','delete','$keys = array(\"module_name\", \"role_id\");\r\n$vals = array($_GET[module_name], $_GET[role_id]);\r\n$this->findElement(\"User_role\", $keys, $vals);\r\n$this->deleteElement(\"?go=admin&sub=module&module_name=$_GET[module_name]\");',''),('Admin_role','edit','$this->findElement(\"User_role\", \"role_id\", $_GET[role_id]);\r\n$this->drawForm();\r\n',''),('Admin_role','update','$keys = array(\"module_name\", \"role_id\");\r\n$vals = array($_GET[module_name], $_POST[role_id]);\r\nif($_POST[role_id]) $this->findElement(\"User_role\", $keys, $vals);\r\n$this->module_name = $_GET[module_name];\r\n$this->role_name = $_POST[role_name];\r\n$this->actor = $_POST[actor];\r\n\r\nif($_POST[role_id]) $this->updateElement(\"?go=admin&sub=module&action=edit&module_name=$_GET[module_name]\");\r\nelse $this->createElement(\"User_role\", \"role_id\",\"?go=admin&sub=module&action=edit&module_name=$_GET[module_name]\");\r\n\r\n',''),('Admin_user_group','','// Do nothing',''),('Admin_user_group','delete','$this->findElement(\"User_group\",\"group_id\",$_GET[group_id]);\r\n$this->deleteElement(\"?go=admin&child=groups&action=edit&group_name=$_GET[group_name]\");',''),('Admin_user_group','edit','$this->drawForm();',''),('Admin_user_group','insert','echo $this->username = $_POST[username];\r\necho $this->group_name = $_POST[group_name];\r\n$keys = array(\"username\", \"group_name\");\r\n$vals = array($this->username, $this->group_name);\r\n$this->createElement(\"User_group\",$keys,\"?go=admin&child=groups&action=edit&group_name=$_POST[group_name]\");\r\n',''),('Admin_view','','$this->drawForm();\n',''),('Admin_view','create','$this->view_name = $_POST[\'view_name\'];\r\n$this->module_name = $_POST[\'module_name\'];\r\n$this->select = $_POST[\'select\'];\r\n$this->num_display_elements = $_POST[\'num_display_elements\'];\r\n$this->roll_parameter = $_POST[\'roll_parameter\'];\r\n$this->view_header = $_POST[\'view_header\'];\r\n$this->view_template = $_POST[\'view_template\'];\r\n$this->view_footer = $_POST[\'view_footer\'];\r\n$this->createElement(\"View\", \"view_name\", \"?go=admin&#8834;=view&action=edit&view_name=$_POST[view_name]&module_name=$_POST[module_name]\");\r\n',''),('Admin_view','delete','$keys = array(\"module_name\", \"view_name\");\r\n$vals = array($_GET[module_name], $_GET[view_name]);\r\n$this->findElement(\"View\",$keys, $vals);\r\n$this->deleteElement(\"?go=admin&#8834;=view\");',''),('Admin_view','edit','$keys = array(\"module_name\", \"view_name\");\r\n$vals = array($_GET[module_name], $_GET[view_name]);\r\n$this->findElement(\"View\",$keys, $vals);\r\n$this->select = htmlspecialchars($this->select);\r\n$this->view_header = htmlspecialchars($this->view_header);\r\n$this->view_footer = htmlspecialchars($this->view_footer);\r\n$this->view_template = htmlspecialchars($this->view_template);\r\n\r\n$this->drawForm();',''),('Admin_view','update','$keys = array(\"module_name\", \"view_name\");\r\n$vals = array($_POST[module_name], $_POST[view_name]);\r\n$this->findElement(\"View\",$keys, $vals);\r\n$this->module_name = $_POST[\'module_name\'];\r\n$this->select = $_POST[\'select\'];\r\n$this->num_display_elements = $_POST[\'num_display_elements\'];\r\n$this->roll_parameter = $_POST[\'roll_parameter\'];\r\n$this->view_header = $_POST[\'view_header\'];\r\n$this->view_template = $_POST[\'view_template\'];\r\n$this->view_footer = $_POST[\'view_footer\'];\r\n$this->updateElement(\"?go=admin&sub=view&action=edit&view_name=$_POST[view_name]&module_name=$_POST[module_name]\");\r\n',''),('Approval','','\r\n',''),('Approval','approve','$this->findElement(\"Document\",\"doc_id\",$_GET[doc_id]);\r\n$this->state_num = 20;\r\n$this->updateElement(\"?go=Web_admin&child=approval\");',''),('Approval','return','$this->findElement(\"Document\",\"doc_id\",$_GET[doc_id]);\r\n$this->state_num = 0;\r\n$this->updateElement(\"?go=Web_admin&child=approval\");',''),('Approval','unapprove','$this->findElement(\"Document\",\"doc_id\",$_GET[doc_id]);\r\n$this->state_num = 10;\r\n$this->updateElement(\"?go=Web_admin&child=approval\");',''),('Approval','view','$this->findElement(\"Document\",\"doc_id\",$_GET[doc_id]);\r\n$this->drawForm();',''),('Asset','','if($_GET[fullcat] != \"\") $this->drawForm();\r\n',''),('Asset','create','$sql = \"SELECT `doc_id` from `Document` where `fullcat` = \'$_GET[fullcat]\'\";\r\n$res = new DB_Result($this->dbh->execute($sql));\r\n$doc_id = $res->doc_id;\r\n\r\nif ($_FILES[\'dfile\'][\'size\'] != 0)\r\n{\r\n	\r\n	$filename = $_FILES[\'dfile\'][\'name\'];	\r\n	$tmpfile = $_FILES[\'dfile\'][\'tmp_name\'];\r\n	\r\n	$dbh = $this->dbh;\r\n	$sql = \"DELETE from `Asset` where (`file_name` = \'$filename\' AND `doc_id` = \'$doc_id\')\";\r\n	$res = new DB_Result($dbh->execute($sql));\r\n	\r\n	$type = mime_content_type($tmpfile);\r\n   \r\n	$filedata = addslashes(fread(fopen($tmpfile, \"r\"), filesize($tmpfile)));\r\n	$sql = \"INSERT into `Asset` set `file_name`=\'$filename\', `data` = \'$filedata\', `type` = \'$type\', `doc_id` = \'$doc_id\'\";\r\n	$res = new DB_Result($dbh->execute($sql));\r\n	\r\n\r\n}\r\n$this->drawForm();',''),('Asset','delete','$sql = \"SELECT `doc_id` from `Document` where `fullcat` = \'$_GET[fullcat]\'\";\r\n$res = new DB_Result($this->dbh->execute($sql));\r\n$doc_id = $res->doc_id;\r\n$file_name = $_GET[file_name];\r\n	\r\n$dbh = $this->dbh;\r\n$sql = \"DELETE from `Asset` where (`file_name` = \'$file_name\' AND `doc_id` = \'$doc_id\')\";\r\n$res = new DB_Result($dbh->execute($sql));\r\n\r\n$this->drawForm();',''),('Document_edit','','$this->drawForm();\n',''),('Document_edit','create','$this->state_num = 0;\r\n$this->doc_name = $_POST[doc_name];\r\n$this->title = $_POST[title];\r\n$this->abstract = $_POST[\'abstract\'];\r\n$this->created = $_POST[created];\r\n$this->updated = time();\r\n$this->sortstr = ($_POST[sortstr]==\"\")?\"HH\":$_POST[sortstr];\r\n$this->type = $_POST[type];\r\n$this->fullcat = (($_POST[parent]!=\"\")?$_POST[parent].\"$$\":\"\").$this->sortstr.\"|\".$_POST[doc_name];\r\n$this->content = $_POST[content];\r\n$this->parent = $_POST[parent];\r\n$this->createElement(\"Document\", \"doc_id\", \"?go=Web_admin\");\r\n',''),('Document_edit','delete','$this->findElement(\"Document\", \"fullcat\", $_GET[fullcat]);\r\n$this->deleteElement(\"?go=Web_admin\");',''),('Document_edit','edit','$this->findElement(\"Document\", \"fullcat\", $_GET[fullcat]);\r\n$this->parent = (strpos($this->fullcat,\"$$\") == FALSE)?\"\":leftback($this->fullcat,\"$$\");\r\n$this->drawForm();',''),('Document_edit','new','//$this->findElement(\"Document\", \"fullcat\", $_GET[fullcat]);\r\n$this->parent = $_GET[fullcat];\r\n$this->drawForm();\r\n',''),('Document_edit','update','$this->findElement(\"Document\", \"doc_id\", $_POST[doc_id]);\r\n$this->doc_name = $_POST[doc_name];\r\n$this->title = $_POST[title];\r\n$this->abstract = $_POST[\'abstract\'];\r\n$this->created = $_POST[created];\r\n$this->updated = time();\r\n$this->sortstr = $_POST[sortstr];\r\n$this->type = $_POST[type];\r\n$this->fullcat = (($_POST[parent]!=\"\")?$_POST[parent].\"$$\":\"\").$_POST[sortstr].\"|\".$_POST[doc_name];\r\nif($_POST[parent] != $this->fullcat) $this->parent = $_POST[parent];\r\n$this->content = $_POST[content];\r\n$this->updateElement(\"?go=Web_admin&fullcat=$this->fullcat&action=edit\");\r\n',''),('Document_view','','',''),('Document_view','toapprove','// Sends document to approval process\r\n$this->findElement(\"Document\", \"fullcat\", $_GET[fullcat]);\r\n$this->state_num = 10;\r\n$this->updateElement(\"?go=Web_admin&action=view&fullcat=$_GET[fullcat]\");\r\necho \"CO JE\";\r\nexit();\r\n',''),('Document_view','view','$this->findElement(\"Document\", \"fullcat\", $_GET[fullcat]);\r\n$this->drawForm();\r\n',''),('Forum','','$this->drawForm();',''),('Forum','create','// Updating or creating new?\nif($_POST[\'forum_id\']) $this->findElement(\"Forum\",\"forum_id\",$_POST[\'forum_id\']);\n\n$this->owner		= $_SESSION[\'username\'];\n$this->forum_name 	= $_POST[\'forum_name\'];\n$this->forum_desc 	= $_POST[\'forum_desc\'];\n$this->forum_category	= $_POST[\'forum_category\'];	\n		\nif($_POST[\'forum_id]\'])\n	$this->updateElement(\"?go=forums\");\nelse\n	$this->createElement(\"Forum\",\"forum_id\",\"?go=forums\");\n',''),('Forum','delete','$this->findElement(\"Forum\",\"forum_id\",$_GET[\'forum_id\']);\n	if (!($this->owner == $_SESSION[username] || $_SESSION[auth]->access(\"\")))\n	{\n		new Message(\"0\", \"Not Enough permissions\",\"javascript: history.go(-1)\",\"Forum Delete\");\n	}\n$this->deleteElement(\"?go=forums\");',''),('Forum','edit','$this->findElement(\"Forum\",\"forum_id\",$_GET[\'forum_id\']);\n$this->drawForm();	',''),('Forum_message','','$this->drawForm();\n',''),('Forum_message','delete','$this->findElement(\"Forum_message\",\"message_id\",$_GET[\'message_id\']);\r\n$this->deleteElement(\"?go=forum&forum_id=$_GET[forum_id]\");\r\n',''),('Forum_message','send','// Send new message\r\n$this->username 	= $_SESSION[username];\r\n$this->forum_id 	= $_POST[\'forum_id\'];\r\n$this->text 	= nl2br($_POST[\'text\']);		\r\n$this->date 	=  time();\r\n\r\n// Increase number of messages in forum\r\n$sql = \"SELECT * from `Forum` WHERE `forum_id` = \'$_POST[forum_id]\'\";\r\n$res = new DB_Result($_SESSION[dbh]->execute($sql));\r\n$messages = $res->messages+1;\r\necho $sql = \"UPDATE `Forum` SET `messages` = \'$messages\' WHERE `forum_id` = \'$_POST[forum_id]\'\";\r\n$_SESSION[dbh]->execute($sql);\r\n\r\n// Send message\r\n$this->createElement(\"Forum_message\",\"message_id\",\"?go=forum&forum_id=$_POST[forum_id]\");\r\n',''),('Mail_message','','$this->drawForm();\n',''),('Mail_message','delete','$this->findElement(\"Mail_message\",\"message_id\",$_GET[\'message_id\']);\r\n$this->deleteElement(\"?go=mail\");',''),('Mail_message','send','$this->from = $_SESSION[\'username\'];\r\n$this->to = $_POST[\'to\'];\r\n$this->text = nl2br($_POST[\'text\']);\r\n$this->date = time();\r\n$this->createElement(\"Mail_message\",\"message_id\",\"?go=mail\");\r\n',''),('Profile','','$this->findElement(\"User\", \"username\", $_SESSION[username]);\r\n$this->drawForm();\r\n',''),('Profile','update','$this->findElement(\"User\", \"username\", $_SESSION[username]);\r\n$this->username = $_SESSION[username];\r\n$this->password = $_POST[password];\r\n$this->name = $_POST[name];\r\n$this->email = $_POST[email];\r\n$this->icq = $_POST[icq];\r\n$this->updateElement(\"?go=profile\");',''),('Profile_edit','','$this->findElement(\"Web_profile\",\"name\",$_GET[child]);\r\n$this->drawForm();\r\n',''),('Profile_edit','update','$this->findElement(\"Web_profile\",\"name\",$_GET[child]);\r\n$this->name = $_POST[name];\r\n$this->value = $_POST[value];\r\n$this->updateElement(\"?go=Web_admin&child=$_GET[child]\");',''),('Requirement','','$this->drawForm();\n',''),('Requirement','accept','$this->findElement(\"Requirement\", \"requirement_id\", $_POST[requirement_id]);\r\n$this->state_num = 2;\r\n$this->updateElement(\"?go=requirements\");',''),('Requirement','close','$this->findElement(\"Requirement\", \"requirement_id\", $_POST[requirement_id]);\r\n$this->date_closed = time();\r\n$this->solution = nl2br($_POST[solution]);\r\n$this->state_num = 3;\r\n$this->createElement(\"Requirement\",\"requirement_id\",\"?go=requirements\");',''),('Requirement','create','$this->date_created = time();\r\n$this->description = nl2br($_POST[description]);\r\n$this->creator = $_SESSION[username];\r\n$this->state_num = 1;\r\n$this->subject = $_POST[subject];\r\n$this->createElement(\"Requirement\",\"requirement_id\",\"?go=requirements\");',''),('Requirement','delete','$this->findElement(\"Requirement\",\"requirement_id\",$_GET[requirement_id]);\r\n$this->deleteElement(\"?go=requirements\");','delete'),('Requirement','edit','$this->findElement(\"Requirement\",\"requirement_id\",$_GET[requirement_id]);\r\n$this->drawForm();',''),('Requirement_view','','$this->drawForm();\n',''),('Requirement_view','view','$this->findElement(\"Requirement\",\"requirement_id\",$_GET[requirement_id]);\r\n$this->drawForm();\r\n',''),('User_admin','','$this->drawForm();\n',''),('User_admin','delete','$this->findElement(\"User\",\"username\",$_GET[username]);\r\n$this->deleteElement(\"?go=users\"); ',''),('User_admin','edit','$this->findElement(\"User\", \"username\", $_GET[username]);\r\n$this->drawForm();\r\n',''),('User_admin','update','if($_POST[user_id]) $this->findElement(\"User\",\"user_id\",$_POST[user_id]);\r\n$this->username = $_POST[username];\r\n$this->password = $_POST[password];\r\n$this->hidden = $_POST[hidden];\r\n$this->name = $_POST[name];\r\n$this->email = $_POST[email];\r\n$this->icq = $_POST[icq];\r\nif($_POST[user_id]) $this->updateElement(\"?go=users\"); else $this->createElement(\"User\",\"user_id\",\"?go=users\");\r\n','');
UNLOCK TABLES;
/*!40000 ALTER TABLE `Form_action` ENABLE KEYS */;

--
-- Table structure for table `Forum`
--

DROP TABLE IF EXISTS `Forum`;
CREATE TABLE `Forum` (
  `forum_id` int(3) NOT NULL auto_increment,
  `forum_name` varchar(30) collate utf8_czech_ci NOT NULL default '',
  `forum_desc` varchar(255) collate utf8_czech_ci NOT NULL default '',
  `messages` int(4) NOT NULL default '0',
  `owner` varchar(20) collate utf8_czech_ci NOT NULL default '',
  `forum_category` varchar(64) collate utf8_czech_ci NOT NULL default 'No Category',
  PRIMARY KEY  (`forum_id`),
  KEY `forum_owner_restr` (`owner`),
  CONSTRAINT `forum_owner_restr` FOREIGN KEY (`owner`) REFERENCES `User` (`username`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `Forum`
--


/*!40000 ALTER TABLE `Forum` DISABLE KEYS */;
LOCK TABLES `Forum` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `Forum` ENABLE KEYS */;

--
-- Table structure for table `Forum_message`
--

DROP TABLE IF EXISTS `Forum_message`;
CREATE TABLE `Forum_message` (
  `message_id` int(6) NOT NULL auto_increment,
  `date` int(10) NOT NULL default '0',
  `text` text collate utf8_czech_ci NOT NULL,
  `username` varchar(20) collate utf8_czech_ci NOT NULL default '',
  `forum_id` int(3) NOT NULL default '0',
  PRIMARY KEY  (`message_id`),
  KEY `forum_from_constraint` (`username`),
  KEY `forum_to_constraint` (`forum_id`),
  CONSTRAINT `forum_from_constraint` FOREIGN KEY (`username`) REFERENCES `User` (`username`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `forum_to_constraint` FOREIGN KEY (`forum_id`) REFERENCES `Forum` (`forum_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `Forum_message`
--


/*!40000 ALTER TABLE `Forum_message` DISABLE KEYS */;
LOCK TABLES `Forum_message` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `Forum_message` ENABLE KEYS */;

--
-- Table structure for table `Forum_unread_messages`
--

DROP TABLE IF EXISTS `Forum_unread_messages`;
CREATE TABLE `Forum_unread_messages` (
  `username` varchar(20) collate utf8_czech_ci NOT NULL default '',
  `forum_id` int(3) NOT NULL default '0',
  `last_read_message` int(4) NOT NULL default '0',
  PRIMARY KEY  (`username`,`forum_id`),
  KEY `forum_unread_messages_forum` (`forum_id`),
  CONSTRAINT `forum_unread_messages_forum` FOREIGN KEY (`forum_id`) REFERENCES `Forum` (`forum_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `forum_unread_messages_username` FOREIGN KEY (`username`) REFERENCES `User` (`username`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `Forum_unread_messages`
--


/*!40000 ALTER TABLE `Forum_unread_messages` DISABLE KEYS */;
LOCK TABLES `Forum_unread_messages` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `Forum_unread_messages` ENABLE KEYS */;

--
-- Table structure for table `Mail_message`
--

DROP TABLE IF EXISTS `Mail_message`;
CREATE TABLE `Mail_message` (
  `message_id` int(6) NOT NULL auto_increment,
  `date` int(10) NOT NULL default '0',
  `is_read` tinyint(1) NOT NULL default '0',
  `text` text collate utf8_czech_ci NOT NULL,
  `from` varchar(20) collate utf8_czech_ci NOT NULL default '',
  `to` varchar(20) collate utf8_czech_ci NOT NULL default '',
  PRIMARY KEY  (`message_id`),
  KEY `mail_from_constraint` (`from`),
  KEY `mail_to_constraint` (`to`),
  CONSTRAINT `mail_from_constraint` FOREIGN KEY (`from`) REFERENCES `User` (`username`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `mail_to_constraint` FOREIGN KEY (`to`) REFERENCES `User` (`username`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `Mail_message`
--


/*!40000 ALTER TABLE `Mail_message` DISABLE KEYS */;
LOCK TABLES `Mail_message` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `Mail_message` ENABLE KEYS */;

--
-- Table structure for table `Requirement`
--

DROP TABLE IF EXISTS `Requirement`;
CREATE TABLE `Requirement` (
  `requirement_id` int(3) NOT NULL auto_increment,
  `date_created` int(10) NOT NULL default '0',
  `date_closed` int(10) NOT NULL default '0',
  `description` text collate utf8_czech_ci NOT NULL,
  `solution` text collate utf8_czech_ci NOT NULL,
  `creator` varchar(20) collate utf8_czech_ci NOT NULL default '',
  `state_num` int(1) NOT NULL default '0',
  `subject` varchar(64) collate utf8_czech_ci NOT NULL default '',
  PRIMARY KEY  (`requirement_id`),
  KEY `requirement_creator_constraint` (`creator`),
  CONSTRAINT `requirement_creator_constraint` FOREIGN KEY (`creator`) REFERENCES `User` (`username`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `Requirement`
--


/*!40000 ALTER TABLE `Requirement` DISABLE KEYS */;
LOCK TABLES `Requirement` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `Requirement` ENABLE KEYS */;

--
-- Table structure for table `User_group`
--

DROP TABLE IF EXISTS `User_group`;
CREATE TABLE `User_group` (
  `group_id` int(3) NOT NULL auto_increment,
  `group_name` varchar(20) collate utf8_czech_ci NOT NULL default '',
  `username` varchar(20) collate utf8_czech_ci NOT NULL default '',
  PRIMARY KEY  (`group_id`),
  KEY `group_username_constraint` (`username`),
  KEY `group_group_name_constraint` (`group_name`),
  CONSTRAINT `group_group_name_constraint` FOREIGN KEY (`group_name`) REFERENCES `User` (`username`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `group_username_constraint` FOREIGN KEY (`username`) REFERENCES `User` (`username`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `User_group`
--


/*!40000 ALTER TABLE `User_group` DISABLE KEYS */;
LOCK TABLES `User_group` WRITE;
INSERT INTO `User_group` VALUES (2,'@administrators','admin');
UNLOCK TABLES;
/*!40000 ALTER TABLE `User_group` ENABLE KEYS */;

--
-- Table structure for table `User_online`
--

DROP TABLE IF EXISTS `User_online`;
CREATE TABLE `User_online` (
  `username` varchar(20) collate utf8_czech_ci NOT NULL default '',
  `last_operation` int(10) NOT NULL default '0',
  PRIMARY KEY  (`username`),
  CONSTRAINT `user_online_username` FOREIGN KEY (`username`) REFERENCES `User` (`username`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `User_online`
--


/*!40000 ALTER TABLE `User_online` DISABLE KEYS */;
LOCK TABLES `User_online` WRITE;
INSERT INTO `User_online` VALUES ('admin',1117223238);
UNLOCK TABLES;
/*!40000 ALTER TABLE `User_online` ENABLE KEYS */;

--
-- Table structure for table `User_role`
--

DROP TABLE IF EXISTS `User_role`;
CREATE TABLE `User_role` (
  `role_id` int(4) NOT NULL auto_increment,
  `role_name` varchar(20) collate utf8_czech_ci NOT NULL default '',
  `actor` varchar(20) collate utf8_czech_ci NOT NULL default '',
  `module_name` varchar(32) collate utf8_czech_ci NOT NULL default '',
  PRIMARY KEY  (`role_id`),
  KEY `role_actor_constraint` (`actor`),
  KEY `role_module_name_constraint` (`module_name`),
  CONSTRAINT `role_actor_constraint` FOREIGN KEY (`actor`) REFERENCES `User` (`username`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `role_module_name_constraint` FOREIGN KEY (`module_name`) REFERENCES `Module` (`module_name`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `User_role`
--


/*!40000 ALTER TABLE `User_role` DISABLE KEYS */;
LOCK TABLES `User_role` WRITE;
INSERT INTO `User_role` VALUES (11,'','@administrators','admin'),(12,'maintain','@administrators','Users'),(13,'edit','@administrators','requirements'),(20,'delete','@administrators','requirements'),(28,'approve','@web_approvers','Web_admin'),(31,'forum_create','@administrators','forums'),(33,'','@web_editors','Web_admin'),(34,'','@administrators','Web_admin'),(35,'approve','@administrators','Web_admin');
UNLOCK TABLES;
/*!40000 ALTER TABLE `User_role` ENABLE KEYS */;

--
-- Table structure for table `View`
--

DROP TABLE IF EXISTS `View`;
CREATE TABLE `View` (
  `view_name` varchar(32) collate utf8_czech_ci NOT NULL default '',
  `select` text collate utf8_czech_ci NOT NULL,
  `view_key` varchar(32) collate utf8_czech_ci NOT NULL default '',
  `view_header` text collate utf8_czech_ci NOT NULL,
  `view_template` text collate utf8_czech_ci NOT NULL,
  `view_footer` text collate utf8_czech_ci NOT NULL,
  `num_display_elements` int(2) NOT NULL default '0',
  `roll_parameter` varchar(8) collate utf8_czech_ci NOT NULL default 'pos',
  `module_name` varchar(32) collate utf8_czech_ci NOT NULL default '',
  PRIMARY KEY  (`view_name`,`module_name`),
  KEY `module_name_constraint` (`module_name`),
  CONSTRAINT `module_name_constraint` FOREIGN KEY (`module_name`) REFERENCES `Module` (`module_name`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `View`
--


/*!40000 ALTER TABLE `View` DISABLE KEYS */;
LOCK TABLES `View` WRITE;
INSERT INTO `View` VALUES ('Actor_select','SELECT * from `User` order by `username`','','<select name=\"actor\">\r\n',' <option value=\"{$doc->username}\">{$doc->username}</option>\r\n','</select>',0,'',''),('Admin_form_actions','SELECT * FROM `Form_action` WHERE (`form_name` = \'$_GET[form_name]\')','','<table style=\"width: 200px;\">','<tr>\r\n	<td style=\"width:164px\" id=\"entry_value\">{($doc->action_name)?$doc->action_name:\"[Default Action]\"}&nbsp;</td>\r\n	<td style=\"width:18px; padding-top: 2px\" id=\"entry_value\">\r\n		<a href=\"?go=admin&sub=form&action=edit&faction=edit&module_name={$_GET[module_name]}&form_name={$_GET[form_name]}&action_name={$doc->action_name}\">\r\n		<img src=\"./img/edit.gif\" alt=\"D\">\r\n		</a>\r\n	</td>\r\n	<td style=\"width:18px;padding-top: 2px\" id=\"entry_value\">\r\n		<a href=\"?go=admin&sub=form&action=edit&faction=delete&module_name={$_GET[module_name]}&form_name={$_GET[form_name]}&action_name={$doc->action_name}\">\r\n		{($doc->action_name != \"\")?\"<img src=\\\"./img/delete.gif\\\" alt=\\\"D\\\">\":\"\"}\r\n		</a>\r\n	</td>\r\n\r\n</tr>\r\n','</table>',0,'pos',''),('Admin_forms','SELECT * from Form ORDER BY `module_name`','','<table style=\"width: 200px;\">',' <tr>\r\n	<td style=\"width:100px\" id=\"entry_value\"><a href=\"?go=admin&sub=module&action=edit&module_name={$doc->module_name}\">{($doc->module_name!=\"\")?$doc->module_name:\"[CORE]\"}</a>&nbsp;</td>\r\n	<td style=\"width:164px\" id=\"entry_value\">{$doc->form_name}&nbsp;</td>\r\n	<td style=\"width:18px; padding-top: 2px;\" id=\"entry_value\">\r\n		<a href=\"?go=admin&sub=form&action=edit&module_name={$doc->module_name}&form_name={$doc->form_name}\">\r\n		<img src=\"./img/edit.gif\" alt=\"E\">\r\n		</a>\r\n	</td>\r\n	<td style=\"width:18px; padding-top: 2px\" id=\"entry_value\">\r\n		<a href=\"?go=admin&sub=form&action=delete&module_name={$doc->module_name}&form_name={$doc->form_name}\">\r\n		<img src=\"./img/delete.gif\" alt=\"D\">\r\n		</a>\r\n	</td>\r\n\r\n</tr>\r\n','</table>',0,'pos',''),('Admin_group','SELECT * from `User` where (`username` like \'@%\')','','<table>\r\n','<tr>\r\n	<td width=\"100\" id=\"entry_value\"><a href=\"?go=admin&child=groups&action=edit&group_name={$doc->username}\">{$doc->username}</a>&nbsp;</td>\r\n</tr>','</table>',0,'',''),('Admin_module','SELECT * FROM `Module` WHERE `module_name` != \'\'','','<table style=\"width: 200px;\">','<tr>\r\n	<td style=\"width:164px\" id=\"entry_value\">{$doc->module_name}&nbsp;</td>\r\n	<td style=\"width:18px; padding-top: 2px;\" id=\"entry_value\">\r\n		<a href=\"?go=admin&sub=module&action=edit&module_name={$doc->module_name}\">\r\n		<img src=\"./img/edit.gif\" alt=\"E\">\r\n		</a>\r\n	</td>\r\n	<td style=\"width:18px; padding-top: 2px\" id=\"entry_value\">\r\n		<a title=\"?go=admin&sub=module&action=delete&module_name={$doc->module_name}\">\r\n		<img src=\"./img/delete.gif\" alt=\"D\">\r\n		</a>\r\n	</td>\r\n\r\n</tr>\r\n','</table>',0,'pos',''),('Admin_roles','SELECT * FROM `User_role` where `module_name` = \'$_GET[module_name]\' ORDER BY `module_name`','','<table>','<tr>\r\n<td style=\"width:100px\" id=\"entry_value\"><a href=\"?go=admin&sub=module&action=edit&module_name={$doc->module_name}\">{($doc->module_name!=\"\")?$doc->module_name:\"[CORE]\"}</a>&nbsp;</td>\r\n<td id=\"entry_value\">{$doc->role_name}&nbsp;</td><td id=\"entry_value\">{$doc->actor}&nbsp;</td>\r\n<td id=\"entry_value\">\r\n<a href=\"?go=admin&sub=module&raction=edit&module_name={$doc->module_name}&role_id={$doc->role_id}\"><img src=\"./img/edit.gif\"></a>\r\n</td>\r\n<td id=\"entry_value\">\r\n<a href=\"?go=admin&sub=module&raction=delete&module_name={$doc->module_name}&role_id={$doc->role_id}\"><img src=\"./img/delete.gif\"></a>\r\n</td>\r\n</tr>','</table>',0,'',''),('Admin_user_group','Select * FROM `User_group` WHERE `group_name` = \'$_GET[group_name]\'','','<table>','<tr>\r\n	<td width=\"230\" id=\"entry_value\">{$doc->username}&nbsp;</td>\r\n	<td width=\"20\" id=\"entry_value\" style=\"padding: 0px;\"><a href=\"?go=admin&child=groups&action=delete&group_name={$doc->group_name}&group_id={$doc->group_id}\"><img src=\"./img/delete.gif\"></a>&nbsp;</td>\r\n</tr>','</table>',0,'',''),('Admin_views','SELECT * FROM View ORDER BY `module_name`','','<table style=\"width: 200px;\">',' <tr>\r\n	<td style=\"width:100px\" id=\"entry_value\"><a href=\"?go=admin&sub=module&action=edit&module_name={$doc->module_name}\">{($doc->module_name!=\"\")?$doc->module_name:\"[CORE]\"}</a>&nbsp;</td>\r\n	<td style=\"width:164px\" id=\"entry_value\">{$doc->view_name}&nbsp;</td>\r\n	<td style=\"width:18px; padding-top: 2px;\" id=\"entry_value\">\r\n		<a href=\"?go=admin&sub=view&action=edit&module_name={$doc->module_name}&view_name={$doc->view_name}\">\r\n		<img src=\"./img/edit.gif\" alt=\"E\">\r\n		</a>\r\n	</td>\r\n	<td style=\"width:18px; padding-top: 2px\" id=\"entry_value\">\r\n		<a href=\"?go=admin&sub=view&action=delete&module_name={$doc->module_name}&view_name={$doc->view_name}\">\r\n		<img src=\"./img/delete.gif\" alt=\"D\">\r\n		</a>\r\n	</td>\r\n\r\n</tr>\r\n','</table>',0,'pos',''),('Assets','Select `file_name`, `type` from `Asset` where `doc_id` in (SELECT `doc_id` FROM `Document` where `fullcat` = \'\".$_GET[fullcat].\"\')','','<table>','<tr>\r\n<td id=\"entry_value\"><a href=\"../include/asset.php?name={$doc->file_name}\" target=\"_blank\">{$doc->file_name}</a></td>\r\n<td id=\"entry_value\">{$doc->type}</td>\r\n<td id=\"entry_value\"><a href=\"?go=Web_admin&action=view&fullcat={urlencode($_GET[fullcat])}&aaction=delete&file_name={urlencode($doc->file_name)}\"><img src=\"./img/delete.gif\"></a>\r\n</tr>','</table>',0,'','Web_admin'),('Forum','SELECT * FROM Forum_message WHERE `forum_id` = \'$_GET[forum_id]\' ORDER by `date` DESC','','<table border=\"0\" width=\"98%\">','	<tr>\r\n		<td id=\"entry_value\" width=\"40\">\r\n		<img width=\"40\" height=\"50\" src=\"./img/icons/{$doc->username}.gif\">\r\n		</td>\r\n\r\n		<td id=\"entry_value\">\r\n		<table width=\"100%\">\r\n			<tr>\r\n			<td id=\"entry_key\" width=\"99%\">\r\n				\r\n				<b>{$doc->username}</b> - {date(\"d/m/y - H:m:s\",$doc->date)}\r\n				\r\n			</b></td>\r\n\r\n			<td style=\"width: 16px;\" class=\"entry_key\" style=\"padding: 1px;\">\r\n			<a href=\"?go=forum&action=delete&message_id={$doc->message_id}&forum_id={$_GET[forum_id]}\">\r\n			<img src=\"./img/delete.gif\">\r\n			</a>\r\n			</td>\r\n		</tr>\r\n		<tr>\r\n			<td colspan=\"2\" id=\"entry_value\">\r\n			{$doc->text}\r\n			</td>\r\n		</tr>\r\n		</table>\r\n		</td>\r\n	</tr>\r\n','</table>',10,'pos','Forum'),('Forum_display','SELECT * FROM Forum_message WHERE `forum_id` = \'$_GET[forum_id]\' ORDER by `date` DESC','','<table border=\"0\" width=\"98%\">','	<tr>\r\n		<td id=\"entry_value\" width=\"40\">\r\n		<img width=\"40\" height=\"50\" src=\"./img/icons/{$doc->username}.gif\">\r\n		</td>\r\n\r\n		<td id=\"entry_value\">\r\n		<table width=\"100%\">\r\n			<tr>\r\n			<td id=\"entry_key\" width=\"99%\">\r\n				\r\n				<b>{$doc->username}</b> - {date(\"d/m/y - H:m:s\",$doc->date)}\r\n				\r\n			</b></td>\r\n\r\n			<td style=\"width: 16px;\" class=\"entry_key\" style=\"padding: 1px;\">\r\n			<a href=\"?go=forum&action=delete&message_id={$doc->message_id}&forum_id={$_GET[forum_id]}\">\r\n			<img src=\"./img/delete.gif\">\r\n			</a>\r\n			</td>\r\n		</tr>\r\n		<tr>\r\n			<td colspan=\"2\" id=\"entry_value\">\r\n			{$doc->text}\r\n			</td>\r\n		</tr>\r\n		</table>\r\n		</td>\r\n	</tr>\r\n','</table>',10,'pos','Forums'),('Forums','SELECT * from Forum where (`forum_category` = \'\".$GLOBALS[temp_variable].\"\') ORDER by `forum_name`','forum_id','','<table width=\"98%\">\r\n<tr style=\"{$mod->notRestricted(\"f_\".$doc->forum_id)?\"\":\"display:none\"}\">\r\n	<td width=\"150\" id=\"entry_value\"><a href=\"?go=forum&forum_id={$doc->forum_id}\">{$doc->forum_name}&nbsp;</a></td>\r\n	<td id=\"entry_value\">{$doc->forum_desc}&nbsp;</td>\r\n	<td width=\"100\" id=\"entry_value\">{$doc->owner}&nbsp;</td>\r\n	<td width=\"16\" id=\"entry_value\">\r\n	<input type=\"hidden\" value=\"\r\n{$Forum_unread_messages = new DB_Result($_SESSION[dbh]->execute(\"SELECT `last_read_message` FROM `Forum_unread_messages` where (`username` = \'$_SESSION[username]\' AND `forum_id` = \'$doc->forum_id\')\"));}\r\n	\">{($doc->messages - $Forum_unread_messages->last_read_message >0)?($doc->messages - $Forum_unread_messages->last_read_message):\"\"}&nbsp;</td>\r\n\r\n\r\n<td width=\"16\" style=\"width: 16px;\" id=\"entry_value\" style=\"padding-top: 2px;\">\r\n{($doc->owner == $_SESSION[auth]->username)|($_SESSION[auth]->user_id==1)?(\"<a href=\\\"?go=forums&action=delete&forum_id=$doc->forum_id\\\"><img src=\\\"./img/delete.gif\\\" alt=\\\"D\\\"></a>\"):(\"&nbsp;\");}\r\n</td>\r\n<td width=\"16\" style=\"width: 16px;\" id=\"entry_value\" style=\"padding-top: 2px;\">\r\n{($doc->owner == $_SESSION[auth]->username)|($_SESSION[auth]->user_id==1)?(\"<a href=\\\"?go=forums&action=edit&forum_id=$doc->forum_id\\\"><img src=\\\"./img/edit.gif\\\" alt=\\\"D\\\"></a>\"):(\"&nbsp;\");}\r\n</td>\r\n\r\n\r\n\r\n</tr>\r\n</table>','',0,'pos','Forums'),('Mailbox','select * from Mail_message where (`to` = \'\".$_SESSION[auth]->username.\"\' or `from` = \'\".$_SESSION[auth]->username.\"\') ORDER by date DESC','message_id','<table border=\"0\" width=\"100%\">','	<tr>\r\n		<td id=\"entry_value\" width=\"40\">\r\n		<img width=\"40\" height=\"50\" src=\"./img/icons/{($doc->from == $_SESSION[\'auth\']->username)?\"$doc->to\":\"$doc->from\";}.gif\">\r\n		</td>\r\n\r\n		<td id=\"entry_value\">\r\n		<table width=\"100%\">\r\n			<tr>\r\n			<td style=\"width: 15%\" id=\"{($doc->is_read == 0)?\"entry_highlited\":\"entry_key\";}\">\r\n				{($doc->from == $_SESSION[\'auth\']->username)?\" TO: <b>$doc->to</b>\":\" FROM: <b>$doc->from</b>\";}\r\n			</td>\r\n\r\n			<td id=\"{($doc->is_read == 0)?\"entry_highlited\":\"entry_key\";}\" style=\"width: 84%;\">\r\n				{date(\"d/m/y - H:m:s\",$doc->date)}\r\n			</td>\r\n\r\n			<td style=\"width: 1%;\" id=\"{($doc->is_read == 0)?\"entry_highlited\":\"entry_key\";}\" style=\"padding: 1px;\">\r\n			<a href=\"?go=mail&action=delete&confirm=yes&message_id={$doc->message_id}\">\r\n			<img src=\"./img/delete.gif\">\r\n			</a>\r\n			</td>\r\n		</tr>\r\n		<tr>\r\n			<td colspan=\"3\" id=\"entry_value\">\r\n			{$doc->text}\r\n			</td>\r\n		</tr>\r\n		</table>\r\n		</td>\r\n	</tr>\r\n','</table>',10,'pos','Mail'),('Menu_module','SELECT * from `Module` where (`module_display_text` != \'\') ORDER by `module_display_text`','','','<td>{($_SESSION[auth]->access(\"\",$doc->module_name))?\"<span>\":\"<span style=\\\"display:none\\\">\"}<a href=\"?go={$doc->module_name}\"><img alt=\"\" src=\"{$doc->module_icon}\" align=\"left\" width=\"16\" height=\"16\">{$doc->module_display_text} {eval($doc->module_additional_code)}</a></span></td>','',0,'',''),('Module_select','SELECT * From `Module`','','<select name=\"module_name\">','<option value=\"{$doc->module_name}\">{$doc->module_name}</option>\r\n\r\n','</select>',0,'',''),('Requirements','SELECT * FROM `Requirement` ORDER by `state_num`','','<table width=\"780\">\r\n<tr>\r\n<td id=\"entry_key\" width=\"80\">Reported</td>\r\n<td id=\"entry_key\" width=\"500\">Subject of the Report</td>\r\n<td id=\"entry_key\" width=\"80\">State</td>\r\n<td id=\"entry_key\" width=\"80\">Who</td>\r\n<td id=\"entry_key\" width=\"16\">&nbsp</td>\r\n<td id=\"entry_key\" width=\"16\">&nbsp</td>\r\n</tr>','<tr>\r\n<td id=\"entry_value\">{date(\"d/m/Y\",$doc->date_created)}</td>\r\n<td id=\"entry_value\"><a href=\"?go=requirements&action=view&requirement_id={$doc->requirement_id}\">{$doc->subject}</a></td>\r\n<td id=\"entry_value\">\r\n{($doc->state_num == 1)?\"<font color=\\\"darkred\\\">Reported</font>\":(($doc->state_num == 2)?\"<font color=\\\"navy\\\">Accepted</font>\":(($doc->state_num == 3)?\"<font color=\\\"green\\\">Closed</font>\":\"??\"))}\r\n</td>\r\n\r\n<td id=\"entry_value\">{$doc->creator}</td>\r\n<td id=\"entry_value\">{\r\n$mod->isAllowed(\"delete\")?\"<a href=\\\"?go=requirements&action=delete&requirement_id=$doc->requirement_id\\\"><img src=\\\"./img/delete.gif\\\" alt=\\\"E\\\"></a>\":\"&nbsp;\"\r\n}\r\n</td>\r\n<td id=\"entry_value\">\r\n{($mod->isAllowed(\"edit\"))?\"<a href=\\\"?go=requirements&action=edit&requirement_id=$doc->requirement_id\\\"><img src=\\\"./img/edit.gif\\\" alt=\\\"E\\\"></a>\":\"&nbsp;\"}</td>\r\n\r\n</tr>','</table>',0,'','requirements'),('User_admin','select * from User','user_id','<table>\r\n<tr>\r\n	<td width=\"50\" id=\"entry_key\">ID</td>\r\n	<td width=\"100\" id=\"entry_key\">Username</td>\r\n	<td width=\"150\" id=\"entry_key\">Real Name</td>\r\n	<td width=\"150\" id=\"entry_key\">E-Mail</td>\r\n	<td width=\"70\" id=\"entry_key\">ICQ</td>\r\n	<td width=\"16\" id=\"entry_key\">&nbsp;</td>\r\n	<td width=\"16\" id=\"entry_key\">&nbsp;</td>\r\n	<td width=\"16\" id=\"entry_key\">&nbsp;</td>\r\n\r\n</tr>\r\n','<tr>\r\n	<td width=\"50\" id=\"entry_value\">{$doc->user_id}&nbsp;</td>\r\n	<td width=\"100\" id=\"entry_value\">{$doc->username}&nbsp;</td>\r\n	<td width=\"150\" id=\"entry_value\">{$doc->name}&nbsp;</td>\r\n	<td width=\"150\" id=\"entry_value\">{$doc->email}&nbsp;</td>\r\n	<td width=\"70\" id=\"entry_value\">{$doc->icq}&nbsp;</td>\r\n	<td width=\"16\" id=\"entry_value\" style=\"padding-top:2px;\"><a href=\"?go=users&action=edit&username={$doc->username}\"><img src=\"./img/edit.gif\"></a></td>\r\n	<td width=\"16\" id=\"entry_value\" style=\"padding-top: 2px;\"><a href=\"?go=users&action=delete&username={$doc->username}\"><img src=\"./img/delete.gif\"></a></td>\r\n	<td width=\"16\" id=\"entry_value\" style=\"padding-top: 2px;\"><a href=\"?go=mail&to={$doc->username}\"><img src=\"./img/mail.gif\"></a></td>\r\n</tr>','</table>\r\n<br>',0,'','Users'),('User_logins','SELECT * FROM `User_online` order by `last_operation` DESC','','<b><small>Last logins:</b> ','\r\n{$doc->username} - {date(\"d/m/Y - H:i:s\",$doc->last_operation)}; ','</small>',0,'','home'),('User_select','SELECT * from `User` where (`username` not like \'@%\') ORDER by `username`','','<select name=\"username\">\r\n',' <option value=\"{$doc->username}\">{$doc->username}</option>\r\n\r\n','</select>',0,'',''),('Users','SELECT * from User where (username not like \'@%\' and `hidden`=0)','user_id','<table>\r\n<tr>\r\n	<td width=\"16\" id=\"entry_key\">&nbsp;</td>\r\n	<td width=\"50\" id=\"entry_key\">ID</td>\r\n	<td width=\"100\" id=\"entry_key\">Username</td>\r\n	<td width=\"350\" id=\"entry_key\">Real Name</td>\r\n	<td width=\"150\" id=\"entry_key\">E-Mail</td>\r\n	<td width=\"84\" id=\"entry_key\">ICQ</td>\r\n	<td width=\"16\" id=\"entry_key\">&nbsp;</td>\r\n</tr>\r\n','<tr>\r\n	<td width=\"16\" id=\"entry_value\"><img alt=\"\" height=\"16\" src=\"./img/icons/{$doc->username}.gif\"></td>\r\n	<td id=\"entry_value\">{$doc->user_id}&nbsp;</td>\r\n	<td id=\"entry_value\">{$doc->username}&nbsp;</td>\r\n	<td id=\"entry_value\">{$doc->name}&nbsp;</td>\r\n	<td id=\"entry_value\">{$doc->email}&nbsp;</td>\r\n	<td id=\"entry_value\">{$doc->icq}&nbsp;</td>\r\n	<td style=\"width: 16px;\" id=\"entry_value\" style=\"padding-top: 2px;\">\r\n		<a href=\"?go=mail&to={$doc->username}\">\r\n		<img src=\"./img/mail.gif\" alt=\"D\">\r\n		</a>\r\n	</td>\r\n</tr>','</table>',0,'','Users'),('Users_online','SELECT * FROM `User_online` where `last_operation` > \'\".(time() - 300).\"\' order by `last_operation` DESC','','<b><small>Online Users:</small></b> <table><tr>','<td id=\"entry_key\">{$doc->username}</td><td id=\"entry_value\">{date(\"H:i:s\",$doc->last_operation)}</td>','</tr></table>',0,'','home'),('Users_select','SELECT * from `User` order by `username`','','<select name=\"actor\">\r\n',' <option value=\"{$doc->username}\">{$doc->username}</option>\r\n\r\n','</select>',0,'',''),('Users_select','SELECT * from `User` where ((username not like \'@%\') AND (hidden=0)) order by `username`','','<select name=\"to\">\r\n<option value=\"\"></option>\r\n','<option value=\"{$doc->username}\">{$doc->username}</option>\r\n','</select>',0,'','Mail'),('Web_approval','SELECT * from `Document` where `state_num` >= 10 order by `fullcat`','','<table id=\"tbl_small\">','<tr>\r\n<td>{($doc->state_num == 20)?\"[<a href=\\\"?go=Web_admin&child=approval&action=unapprove&doc_id=$doc->doc_id\\\">X</a>]\":\" .\"}</td>\r\n<td>{($doc->state_num == 10)?\"[<a href=\\\"?go=Web_admin&child=approval&action=return&doc_id=$doc->doc_id\\\">R</a>]\":\" .\"}</td>\r\n<td>{($doc->state_num == 10)?\"[<a href=\\\"?go=Web_admin&child=approval&action=approve&doc_id=$doc->doc_id\\\">A</a>]\":\" .\"}</td>\r\n<td>\r\n<a href=\"?go=Web_admin&child=approval&action=view&doc_id={$doc->doc_id}\">{$doc->fullcat}</a>\r\n({($doc->state_num == 20)?\"Approved\":(($doc->state_num == 10)?\"To Approve\":\"Concept\");})</td>\r\n</tr>\r\n','</table>',0,'','Web_admin'),('Web_documentedit','SELECT * from `Document` order by `fullcat`','','<table id=\"tbl_small\">','<tr>\r\n<td>{($doc->state_num == 0)?\"[<a href=\\\"?go=Web_admin&action=edit&fullcat=$doc->fullcat\\\">E</a>]\":\" .\"}</td>\r\n<td>{($doc->state_num == 0)?\"[<a href=\\\"?go=Web_admin&action=delete&fullcat=$doc->fullcat\\\">D</a>]\":\" .\"}</td>\r\n<td>{($doc->state_num == 0)?\"[<a href=\\\"?go=Web_admin&action=toapprove&fullcat=$doc->fullcat\\\">A</a>]\":\" .\"}</td>\r\n<td>\r\n<a href=\"?go=Web_admin&action=view&fullcat={$doc->fullcat}\">{$doc->fullcat}</a>\r\n({($doc->state_num == 20)?\"Approved\":(($doc->state_num == 10)?\"To Approve\":\"Concept\");}) \r\n[<a href=\"?go=Web_admin&action=new&fullcat={$doc->fullcat}\">*</a>]\r\n</td>\r\n</tr>\r\n','<table>',0,'','Web_admin'),('Web_parent_select','select * from `Document` ORDER by `fullcat`','','<select name=\"parent\">\r\n<option value=\"\"></option>','<option value=\"{$doc->fullcat}\">{$doc->fullcat}</option>','</select>',0,'','Web_admin');
UNLOCK TABLES;
/*!40000 ALTER TABLE `View` ENABLE KEYS */;

--
-- Table structure for table `Web_profile`
--

DROP TABLE IF EXISTS `Web_profile`;
CREATE TABLE `Web_profile` (
  `name` varchar(32) collate utf8_czech_ci NOT NULL default '',
  `value` text collate utf8_czech_ci NOT NULL,
  PRIMARY KEY  (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `Web_profile`
--


/*!40000 ALTER TABLE `Web_profile` DISABLE KEYS */;
LOCK TABLES `Web_profile` WRITE;
INSERT INTO `Web_profile` VALUES ('css','body{\r\n	font-family: arial, helvetica, sans;\r\n	color: #303030;\r\n	height: 100%;\r\n	background: white;\r\n	margin: 0px;\r\n}\r\nli {list-style-image: url(\'../img/page.gif\');}\r\n\r\n\r\na, a:link, a:visited {color: darkgreen;}\r\na:hover {color: blue}\r\n\r\ntd {\r\n	vertical-align: top;\r\n}\r\nform {\r\n	margin: 0px;\r\n}\r\n\r\n#header {\r\n	width: 100%;\r\n}\r\n#header td {\r\n	text-align: left;\r\n	font-size: 30px;\r\n	vertical-align: bottom;\r\n}\r\n\r\n#logo{\r\n	width: 40px;\r\n}\r\n\r\n#footer {\r\n	margin-top: 20px;\r\n	color: #707070;\r\n	font-size: 70%;\r\n	border-top: 1px dotted gray;\r\n	text-align: right;\r\n}\r\n#main {\r\n	width: 95%;\r\n	height: 100%;\r\n}\r\n#left {\r\n	width: 20%;\r\n	background: #EAEAEA;\r\n	border: 1px solid silver;\r\n	padding: 0px;\r\n}\r\n#middle {\r\n	width: 0px;\r\n}\r\n\r\n#right {\r\n	padding: 3px;\r\n	padding-left: 10px;\r\n	background: #FAFAFA;\r\n	border: 1px solid silver;\r\n	width: 75%;\r\n}\r\n\r\n#menu ul  {\r\n    padding: 0px;\r\n    margin: 0px;\r\n    margin-left: 10px;\r\n}\r\n\r\n.menuitem {padding-left: 10px;margin: 0px;}\r\n.menuitem a, .menuitem a:link, .menuitem a:visited {\r\n	color: black;\r\n    text-decoration: none;\r\n}\r\n.menuitem a:hover {\r\n	color: darkgreen;\r\n}\r\n\r\n .menuitem img {width: 8px; height: 12px; margin-right: 4px;}\r\n .menuitem td  {\r\n    line-height: 17px;\r\n	font-size: 13px;\r\n}\r\n\r\n#page, #page td {\r\n	font-size: 80%;\r\n}\r\n\r\n#page h1 {\r\n	margin: 0px;\r\n	margin-bottom: 10px;\r\n	padding: 0px;\r\n	padding-left: 26px;\r\n	font-size: 18px;\r\n	font-weight: normal;\r\n	background: #FAFAFA;\r\n	border-bottom: 1px dotted silver;\r\n	background-image: url(\'../img/h1_bg.png\');\r\n	background-repeat: no-repeat;\r\n	\r\n}\r\n#page table {\r\n	border-collapse: collapse;\r\n	border-color: silver;\r\n}\r\n#attachments {\r\n  margin-top: 20px;\r\n  border-top: 1px solid silver;\r\n  }\r\n#attachments a, #attachments a:link, #attachments a:visited {\r\n  text-decoration: none;\r\n}\r\n#attachments td {\r\n  border: 1px solid #fafafa;\r\n}\r\ninput { border: 1px solid silver; background-color: #FAFAFA}'),('','lulu'),('header','<table id=\"header\"><tr>\r\n                <td id=\"logo\"><img src=\"./img/logo_sm.png\" alt=\"Open Community\"></td>\r\n                <td>OC - Public Visible Module ver. 0.7</td>\r\n</tr></table>\r\n'),('footer','<div id=\"footer\">Driven by <a href=\"http://kmlinux.fjfi.cvut.cz/~faltysekm1/oc/\">Open Community</a></div>\r\n');
UNLOCK TABLES;
/*!40000 ALTER TABLE `Web_profile` ENABLE KEYS */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;

